#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 10
#define STATE_COUNT 146
#define SYMBOL_COUNT 77
#define ALIAS_COUNT 0
#define TOKEN_COUNT 15
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 5

enum {
  aux_sym_quoted0_token1 = 1,
  anon_sym_BQUOTE = 2,
  anon_sym_COMMA = 3,
  anon_sym_COMMA_AT = 4,
  anon_sym_DOT = 5,
  sym_bool = 6,
  sym_char = 7,
  sym__emptyString = 8,
  sym_stringQuote = 9,
  sym_stringChar = 10,
  sym_escapeChar = 11,
  sym__letter = 12,
  anon_sym_LPAREN = 13,
  anon_sym_RPAREN = 14,
  sym_source_file = 15,
  sym__sexp0 = 16,
  sym_quoted0 = 17,
  sym_quasiquoted0 = 18,
  sym_unquoted0 = 19,
  sym_spliced0 = 20,
  sym__paren0 = 21,
  sym__sexp1 = 22,
  sym_quoted1 = 23,
  sym_quasiquoted1 = 24,
  sym_unquoted1 = 25,
  sym_spliced1 = 26,
  sym__paren1 = 27,
  sym__sexp2 = 28,
  sym_quoted2 = 29,
  sym_quasiquoted2 = 30,
  sym_unquoted2 = 31,
  sym_spliced2 = 32,
  sym__paren2 = 33,
  sym__sexp3 = 34,
  sym_quoted3 = 35,
  sym_quasiquoted3 = 36,
  sym_unquoted3 = 37,
  sym_spliced3 = 38,
  sym__paren3 = 39,
  sym__sexp4 = 40,
  sym_quoted4 = 41,
  sym_quasiquoted4 = 42,
  sym_unquoted4 = 43,
  sym_spliced4 = 44,
  sym__paren4 = 45,
  sym__sexp5 = 46,
  sym_quoted5 = 47,
  sym_quasiquoted5 = 48,
  sym_unquoted5 = 49,
  sym_spliced5 = 50,
  sym__paren5 = 51,
  sym_symbol = 52,
  sym_string = 53,
  sym__realString = 54,
  sym_stringContent = 55,
  sym__stringPart = 56,
  sym_open0 = 57,
  sym_close0 = 58,
  sym_open1 = 59,
  sym_close1 = 60,
  sym_open2 = 61,
  sym_close2 = 62,
  sym_open3 = 63,
  sym_close3 = 64,
  sym_open4 = 65,
  sym_close4 = 66,
  sym_open5 = 67,
  sym_close5 = 68,
  aux_sym__paren0_repeat1 = 69,
  aux_sym__paren1_repeat1 = 70,
  aux_sym__paren2_repeat1 = 71,
  aux_sym__paren3_repeat1 = 72,
  aux_sym__paren4_repeat1 = 73,
  aux_sym__paren5_repeat1 = 74,
  aux_sym_symbol_repeat1 = 75,
  aux_sym_stringContent_repeat1 = 76,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [aux_sym_quoted0_token1] = "quoted0_token1",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_COMMA] = ",",
  [anon_sym_COMMA_AT] = ",@",
  [anon_sym_DOT] = ".",
  [sym_bool] = "bool",
  [sym_char] = "char",
  [sym__emptyString] = "_emptyString",
  [sym_stringQuote] = "stringQuote",
  [sym_stringChar] = "stringChar",
  [sym_escapeChar] = "escapeChar",
  [sym__letter] = "_letter",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [sym_source_file] = "source_file",
  [sym__sexp0] = "_sexp0",
  [sym_quoted0] = "quoted0",
  [sym_quasiquoted0] = "quasiquoted0",
  [sym_unquoted0] = "unquoted0",
  [sym_spliced0] = "spliced0",
  [sym__paren0] = "_paren0",
  [sym__sexp1] = "_sexp1",
  [sym_quoted1] = "quoted1",
  [sym_quasiquoted1] = "quasiquoted1",
  [sym_unquoted1] = "unquoted1",
  [sym_spliced1] = "spliced1",
  [sym__paren1] = "_paren1",
  [sym__sexp2] = "_sexp2",
  [sym_quoted2] = "quoted2",
  [sym_quasiquoted2] = "quasiquoted2",
  [sym_unquoted2] = "unquoted2",
  [sym_spliced2] = "spliced2",
  [sym__paren2] = "_paren2",
  [sym__sexp3] = "_sexp3",
  [sym_quoted3] = "quoted3",
  [sym_quasiquoted3] = "quasiquoted3",
  [sym_unquoted3] = "unquoted3",
  [sym_spliced3] = "spliced3",
  [sym__paren3] = "_paren3",
  [sym__sexp4] = "_sexp4",
  [sym_quoted4] = "quoted4",
  [sym_quasiquoted4] = "quasiquoted4",
  [sym_unquoted4] = "unquoted4",
  [sym_spliced4] = "spliced4",
  [sym__paren4] = "_paren4",
  [sym__sexp5] = "_sexp5",
  [sym_quoted5] = "quoted5",
  [sym_quasiquoted5] = "quasiquoted5",
  [sym_unquoted5] = "unquoted5",
  [sym_spliced5] = "spliced5",
  [sym__paren5] = "_paren5",
  [sym_symbol] = "symbol",
  [sym_string] = "string",
  [sym__realString] = "_realString",
  [sym_stringContent] = "stringContent",
  [sym__stringPart] = "_stringPart",
  [sym_open0] = "open0",
  [sym_close0] = "close0",
  [sym_open1] = "open1",
  [sym_close1] = "close1",
  [sym_open2] = "open2",
  [sym_close2] = "close2",
  [sym_open3] = "open3",
  [sym_close3] = "close3",
  [sym_open4] = "open4",
  [sym_close4] = "close4",
  [sym_open5] = "open5",
  [sym_close5] = "close5",
  [aux_sym__paren0_repeat1] = "_paren0_repeat1",
  [aux_sym__paren1_repeat1] = "_paren1_repeat1",
  [aux_sym__paren2_repeat1] = "_paren2_repeat1",
  [aux_sym__paren3_repeat1] = "_paren3_repeat1",
  [aux_sym__paren4_repeat1] = "_paren4_repeat1",
  [aux_sym__paren5_repeat1] = "_paren5_repeat1",
  [aux_sym_symbol_repeat1] = "symbol_repeat1",
  [aux_sym_stringContent_repeat1] = "stringContent_repeat1",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_quoted0_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_bool] = {
    .visible = true,
    .named = true,
  },
  [sym_char] = {
    .visible = true,
    .named = true,
  },
  [sym__emptyString] = {
    .visible = false,
    .named = true,
  },
  [sym_stringQuote] = {
    .visible = true,
    .named = true,
  },
  [sym_stringChar] = {
    .visible = true,
    .named = true,
  },
  [sym_escapeChar] = {
    .visible = true,
    .named = true,
  },
  [sym__letter] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__sexp0] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted0] = {
    .visible = true,
    .named = true,
  },
  [sym_quasiquoted0] = {
    .visible = true,
    .named = true,
  },
  [sym_unquoted0] = {
    .visible = true,
    .named = true,
  },
  [sym_spliced0] = {
    .visible = true,
    .named = true,
  },
  [sym__paren0] = {
    .visible = false,
    .named = true,
  },
  [sym__sexp1] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted1] = {
    .visible = true,
    .named = true,
  },
  [sym_quasiquoted1] = {
    .visible = true,
    .named = true,
  },
  [sym_unquoted1] = {
    .visible = true,
    .named = true,
  },
  [sym_spliced1] = {
    .visible = true,
    .named = true,
  },
  [sym__paren1] = {
    .visible = false,
    .named = true,
  },
  [sym__sexp2] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted2] = {
    .visible = true,
    .named = true,
  },
  [sym_quasiquoted2] = {
    .visible = true,
    .named = true,
  },
  [sym_unquoted2] = {
    .visible = true,
    .named = true,
  },
  [sym_spliced2] = {
    .visible = true,
    .named = true,
  },
  [sym__paren2] = {
    .visible = false,
    .named = true,
  },
  [sym__sexp3] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted3] = {
    .visible = true,
    .named = true,
  },
  [sym_quasiquoted3] = {
    .visible = true,
    .named = true,
  },
  [sym_unquoted3] = {
    .visible = true,
    .named = true,
  },
  [sym_spliced3] = {
    .visible = true,
    .named = true,
  },
  [sym__paren3] = {
    .visible = false,
    .named = true,
  },
  [sym__sexp4] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted4] = {
    .visible = true,
    .named = true,
  },
  [sym_quasiquoted4] = {
    .visible = true,
    .named = true,
  },
  [sym_unquoted4] = {
    .visible = true,
    .named = true,
  },
  [sym_spliced4] = {
    .visible = true,
    .named = true,
  },
  [sym__paren4] = {
    .visible = false,
    .named = true,
  },
  [sym__sexp5] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted5] = {
    .visible = true,
    .named = true,
  },
  [sym_quasiquoted5] = {
    .visible = true,
    .named = true,
  },
  [sym_unquoted5] = {
    .visible = true,
    .named = true,
  },
  [sym_spliced5] = {
    .visible = true,
    .named = true,
  },
  [sym__paren5] = {
    .visible = false,
    .named = true,
  },
  [sym_symbol] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__realString] = {
    .visible = false,
    .named = true,
  },
  [sym_stringContent] = {
    .visible = true,
    .named = true,
  },
  [sym__stringPart] = {
    .visible = false,
    .named = true,
  },
  [sym_open0] = {
    .visible = true,
    .named = true,
  },
  [sym_close0] = {
    .visible = true,
    .named = true,
  },
  [sym_open1] = {
    .visible = true,
    .named = true,
  },
  [sym_close1] = {
    .visible = true,
    .named = true,
  },
  [sym_open2] = {
    .visible = true,
    .named = true,
  },
  [sym_close2] = {
    .visible = true,
    .named = true,
  },
  [sym_open3] = {
    .visible = true,
    .named = true,
  },
  [sym_close3] = {
    .visible = true,
    .named = true,
  },
  [sym_open4] = {
    .visible = true,
    .named = true,
  },
  [sym_close4] = {
    .visible = true,
    .named = true,
  },
  [sym_open5] = {
    .visible = true,
    .named = true,
  },
  [sym_close5] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__paren0_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__paren1_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__paren2_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__paren3_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__paren4_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__paren5_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_symbol_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_stringContent_repeat1] = {
    .visible = false,
    .named = false,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0) ADVANCE(5);
      if (lookahead == '"') ADVANCE(15);
      if (lookahead == '#') ADVANCE(20);
      if (lookahead == '\'') ADVANCE(6);
      if (lookahead == '(') ADVANCE(21);
      if (lookahead == ')') ADVANCE(22);
      if (lookahead == ',') ADVANCE(8);
      if (lookahead == '.') ADVANCE(10);
      if (lookahead == '`') ADVANCE(7);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (lookahead != 0 &&
          lookahead != ';' &&
          lookahead != '@' &&
          lookahead != '[' &&
          lookahead != ']' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(19);
      END_STATE();
    case 1:
      if (lookahead == 0) ADVANCE(5);
      if (lookahead == ')') ADVANCE(22);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'' &&
          lookahead != '(' &&
          lookahead != ',' &&
          lookahead != '.' &&
          lookahead != ';' &&
          lookahead != '@' &&
          lookahead != '[' &&
          lookahead != ']' &&
          lookahead != '`' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(19);
      END_STATE();
    case 2:
      if (lookahead == '"') ADVANCE(14);
      if (lookahead == '\\') ADVANCE(3);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(17);
      if (lookahead != 0) ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 's' ||
          lookahead == 't') ADVANCE(18);
      END_STATE();
    case 4:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(12);
      END_STATE();
    case 5:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 6:
      ACCEPT_TOKEN(aux_sym_quoted0_token1);
      END_STATE();
    case 7:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 8:
      ACCEPT_TOKEN(anon_sym_COMMA);
      if (lookahead == '@') ADVANCE(9);
      END_STATE();
    case 9:
      ACCEPT_TOKEN(anon_sym_COMMA_AT);
      END_STATE();
    case 10:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 11:
      ACCEPT_TOKEN(sym_bool);
      END_STATE();
    case 12:
      ACCEPT_TOKEN(sym_char);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(sym__emptyString);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(sym_stringQuote);
      END_STATE();
    case 15:
      ACCEPT_TOKEN(sym_stringQuote);
      if (lookahead == '"') ADVANCE(13);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(sym_stringChar);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(sym_stringChar);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(17);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(16);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(sym_escapeChar);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(sym__letter);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(sym__letter);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == 'f' ||
          lookahead == 't') ADVANCE(11);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 0},
  [2] = {.lex_state = 0},
  [3] = {.lex_state = 0},
  [4] = {.lex_state = 0},
  [5] = {.lex_state = 0},
  [6] = {.lex_state = 2},
  [7] = {.lex_state = 0},
  [8] = {.lex_state = 0},
  [9] = {.lex_state = 0},
  [10] = {.lex_state = 0},
  [11] = {.lex_state = 0},
  [12] = {.lex_state = 1},
  [13] = {.lex_state = 0},
  [14] = {.lex_state = 0},
  [15] = {.lex_state = 0},
  [16] = {.lex_state = 0},
  [17] = {.lex_state = 2},
  [18] = {.lex_state = 0},
  [19] = {.lex_state = 0},
  [20] = {.lex_state = 0},
  [21] = {.lex_state = 0},
  [22] = {.lex_state = 0},
  [23] = {.lex_state = 0},
  [24] = {.lex_state = 0},
  [25] = {.lex_state = 0},
  [26] = {.lex_state = 0},
  [27] = {.lex_state = 0},
  [28] = {.lex_state = 1},
  [29] = {.lex_state = 0},
  [30] = {.lex_state = 2},
  [31] = {.lex_state = 0},
  [32] = {.lex_state = 0},
  [33] = {.lex_state = 0},
  [34] = {.lex_state = 0},
  [35] = {.lex_state = 0},
  [36] = {.lex_state = 0},
  [37] = {.lex_state = 0},
  [38] = {.lex_state = 0},
  [39] = {.lex_state = 0},
  [40] = {.lex_state = 0},
  [41] = {.lex_state = 0},
  [42] = {.lex_state = 0},
  [43] = {.lex_state = 0},
  [44] = {.lex_state = 0},
  [45] = {.lex_state = 0},
  [46] = {.lex_state = 0},
  [47] = {.lex_state = 0},
  [48] = {.lex_state = 0},
  [49] = {.lex_state = 0},
  [50] = {.lex_state = 0},
  [51] = {.lex_state = 0},
  [52] = {.lex_state = 0},
  [53] = {.lex_state = 0},
  [54] = {.lex_state = 0},
  [55] = {.lex_state = 0},
  [56] = {.lex_state = 0},
  [57] = {.lex_state = 0},
  [58] = {.lex_state = 0},
  [59] = {.lex_state = 0},
  [60] = {.lex_state = 0},
  [61] = {.lex_state = 0},
  [62] = {.lex_state = 0},
  [63] = {.lex_state = 0},
  [64] = {.lex_state = 0},
  [65] = {.lex_state = 0},
  [66] = {.lex_state = 0},
  [67] = {.lex_state = 0},
  [68] = {.lex_state = 0},
  [69] = {.lex_state = 0},
  [70] = {.lex_state = 0},
  [71] = {.lex_state = 0},
  [72] = {.lex_state = 0},
  [73] = {.lex_state = 0},
  [74] = {.lex_state = 0},
  [75] = {.lex_state = 0},
  [76] = {.lex_state = 0},
  [77] = {.lex_state = 0},
  [78] = {.lex_state = 0},
  [79] = {.lex_state = 0},
  [80] = {.lex_state = 0},
  [81] = {.lex_state = 0},
  [82] = {.lex_state = 0},
  [83] = {.lex_state = 0},
  [84] = {.lex_state = 0},
  [85] = {.lex_state = 0},
  [86] = {.lex_state = 0},
  [87] = {.lex_state = 0},
  [88] = {.lex_state = 0},
  [89] = {.lex_state = 0},
  [90] = {.lex_state = 0},
  [91] = {.lex_state = 0},
  [92] = {.lex_state = 0},
  [93] = {.lex_state = 0},
  [94] = {.lex_state = 0},
  [95] = {.lex_state = 0},
  [96] = {.lex_state = 0},
  [97] = {.lex_state = 0},
  [98] = {.lex_state = 0},
  [99] = {.lex_state = 0},
  [100] = {.lex_state = 0},
  [101] = {.lex_state = 0},
  [102] = {.lex_state = 0},
  [103] = {.lex_state = 0},
  [104] = {.lex_state = 0},
  [105] = {.lex_state = 0},
  [106] = {.lex_state = 0},
  [107] = {.lex_state = 0},
  [108] = {.lex_state = 0},
  [109] = {.lex_state = 0},
  [110] = {.lex_state = 0},
  [111] = {.lex_state = 0},
  [112] = {.lex_state = 0},
  [113] = {.lex_state = 0},
  [114] = {.lex_state = 0},
  [115] = {.lex_state = 0},
  [116] = {.lex_state = 0},
  [117] = {.lex_state = 0},
  [118] = {.lex_state = 0},
  [119] = {.lex_state = 0},
  [120] = {.lex_state = 0},
  [121] = {.lex_state = 0},
  [122] = {.lex_state = 0},
  [123] = {.lex_state = 0},
  [124] = {.lex_state = 0},
  [125] = {.lex_state = 0},
  [126] = {.lex_state = 0},
  [127] = {.lex_state = 0},
  [128] = {.lex_state = 0},
  [129] = {.lex_state = 0},
  [130] = {.lex_state = 0},
  [131] = {.lex_state = 0},
  [132] = {.lex_state = 0},
  [133] = {.lex_state = 0},
  [134] = {.lex_state = 0},
  [135] = {.lex_state = 0},
  [136] = {.lex_state = 0},
  [137] = {.lex_state = 0},
  [138] = {.lex_state = 0},
  [139] = {.lex_state = 0},
  [140] = {.lex_state = 0},
  [141] = {.lex_state = 0},
  [142] = {.lex_state = 0},
  [143] = {.lex_state = 0},
  [144] = {.lex_state = 0},
  [145] = {.lex_state = 0},
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [anon_sym_DOT] = ACTIONS(1),
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_COMMA_AT] = ACTIONS(1),
    [aux_sym_quoted0_token1] = ACTIONS(1),
    [sym_bool] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [sym_char] = ACTIONS(1),
    [sym__letter] = ACTIONS(1),
    [sym_stringQuote] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [sym__emptyString] = ACTIONS(1),
  },
  [1] = {
    [sym_quasiquoted0] = STATE(11),
    [sym_unquoted0] = STATE(11),
    [sym_open0] = STATE(9),
    [sym_source_file] = STATE(10),
    [sym_spliced0] = STATE(11),
    [sym__paren0] = STATE(11),
    [sym_symbol] = STATE(11),
    [sym_string] = STATE(11),
    [sym__sexp0] = STATE(11),
    [sym_quoted0] = STATE(11),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym__realString] = STATE(8),
    [anon_sym_COMMA_AT] = ACTIONS(3),
    [aux_sym_quoted0_token1] = ACTIONS(5),
    [sym_bool] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [sym_char] = ACTIONS(7),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(17),
    [sym__emptyString] = ACTIONS(19),
  },
  [2] = {
    [sym_quasiquoted0] = STATE(13),
    [sym_unquoted0] = STATE(13),
    [sym_open0] = STATE(9),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym__sexp0] = STATE(13),
    [sym_quoted0] = STATE(13),
    [sym__realString] = STATE(8),
    [sym_spliced0] = STATE(13),
    [sym__paren0] = STATE(13),
    [sym_string] = STATE(13),
    [sym_symbol] = STATE(13),
    [anon_sym_COMMA_AT] = ACTIONS(3),
    [aux_sym_quoted0_token1] = ACTIONS(5),
    [sym_bool] = ACTIONS(21),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(17),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [sym_char] = ACTIONS(21),
  },
  [3] = {
    [sym_quasiquoted0] = STATE(14),
    [sym_unquoted0] = STATE(14),
    [sym_open0] = STATE(9),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym__sexp0] = STATE(14),
    [sym_quoted0] = STATE(14),
    [sym__realString] = STATE(8),
    [sym_spliced0] = STATE(14),
    [sym__paren0] = STATE(14),
    [sym_string] = STATE(14),
    [sym_symbol] = STATE(14),
    [anon_sym_COMMA_AT] = ACTIONS(3),
    [aux_sym_quoted0_token1] = ACTIONS(5),
    [sym_bool] = ACTIONS(23),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(17),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [sym_char] = ACTIONS(23),
  },
  [4] = {
    [anon_sym_COMMA_AT] = ACTIONS(25),
    [aux_sym_quoted0_token1] = ACTIONS(25),
    [sym_bool] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_BQUOTE] = ACTIONS(25),
    [sym_char] = ACTIONS(25),
    [sym__letter] = ACTIONS(27),
    [sym_stringQuote] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(27),
    [sym__emptyString] = ACTIONS(25),
  },
  [5] = {
    [sym_quasiquoted0] = STATE(15),
    [sym_unquoted0] = STATE(15),
    [sym_open0] = STATE(9),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym__sexp0] = STATE(15),
    [sym_quoted0] = STATE(15),
    [sym__realString] = STATE(8),
    [sym_spliced0] = STATE(15),
    [sym__paren0] = STATE(15),
    [sym_string] = STATE(15),
    [sym_symbol] = STATE(15),
    [anon_sym_COMMA_AT] = ACTIONS(3),
    [aux_sym_quoted0_token1] = ACTIONS(5),
    [sym_bool] = ACTIONS(29),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(17),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [sym_char] = ACTIONS(29),
  },
  [6] = {
    [sym__stringPart] = STATE(17),
    [sym_stringContent] = STATE(16),
    [aux_sym_stringContent_repeat1] = STATE(17),
    [sym_stringChar] = ACTIONS(31),
    [sym_escapeChar] = ACTIONS(33),
  },
  [7] = {
    [sym_quasiquoted0] = STATE(18),
    [sym_unquoted0] = STATE(18),
    [sym_open0] = STATE(9),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym__sexp0] = STATE(18),
    [sym_quoted0] = STATE(18),
    [sym__realString] = STATE(8),
    [sym_spliced0] = STATE(18),
    [sym__paren0] = STATE(18),
    [sym_string] = STATE(18),
    [sym_symbol] = STATE(18),
    [anon_sym_COMMA_AT] = ACTIONS(3),
    [aux_sym_quoted0_token1] = ACTIONS(5),
    [sym_bool] = ACTIONS(35),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(17),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [sym_char] = ACTIONS(35),
  },
  [8] = {
    [anon_sym_DOT] = ACTIONS(37),
    [ts_builtin_sym_end] = ACTIONS(37),
    [anon_sym_COMMA_AT] = ACTIONS(37),
    [aux_sym_quoted0_token1] = ACTIONS(37),
    [sym_bool] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_BQUOTE] = ACTIONS(37),
    [sym_char] = ACTIONS(37),
    [sym__letter] = ACTIONS(39),
    [sym_stringQuote] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(37),
    [anon_sym_COMMA] = ACTIONS(39),
    [sym__emptyString] = ACTIONS(37),
  },
  [9] = {
    [sym_quasiquoted1] = STATE(25),
    [sym_unquoted1] = STATE(25),
    [aux_sym__paren0_repeat1] = STATE(25),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym__sexp1] = STATE(25),
    [sym_quoted1] = STATE(25),
    [sym__realString] = STATE(8),
    [sym_symbol] = STATE(25),
    [sym_string] = STATE(25),
    [sym_close0] = STATE(26),
    [sym_spliced1] = STATE(25),
    [sym__paren1] = STATE(25),
    [sym_open1] = STATE(27),
    [anon_sym_COMMA_AT] = ACTIONS(41),
    [aux_sym_quoted0_token1] = ACTIONS(43),
    [sym_bool] = ACTIONS(45),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(49),
    [anon_sym_COMMA] = ACTIONS(51),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(53),
    [anon_sym_BQUOTE] = ACTIONS(55),
    [sym_char] = ACTIONS(45),
  },
  [10] = {
    [ts_builtin_sym_end] = ACTIONS(57),
  },
  [11] = {
    [ts_builtin_sym_end] = ACTIONS(59),
  },
  [12] = {
    [aux_sym_symbol_repeat1] = STATE(28),
    [anon_sym_RPAREN] = ACTIONS(61),
    [ts_builtin_sym_end] = ACTIONS(61),
    [sym__letter] = ACTIONS(63),
  },
  [13] = {
    [anon_sym_DOT] = ACTIONS(65),
    [ts_builtin_sym_end] = ACTIONS(65),
    [anon_sym_COMMA_AT] = ACTIONS(65),
    [aux_sym_quoted0_token1] = ACTIONS(65),
    [sym_bool] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [sym_char] = ACTIONS(65),
    [sym__letter] = ACTIONS(67),
    [sym_stringQuote] = ACTIONS(67),
    [anon_sym_RPAREN] = ACTIONS(65),
    [anon_sym_COMMA] = ACTIONS(67),
    [sym__emptyString] = ACTIONS(65),
  },
  [14] = {
    [anon_sym_DOT] = ACTIONS(69),
    [ts_builtin_sym_end] = ACTIONS(69),
    [anon_sym_COMMA_AT] = ACTIONS(69),
    [aux_sym_quoted0_token1] = ACTIONS(69),
    [sym_bool] = ACTIONS(69),
    [anon_sym_LPAREN] = ACTIONS(69),
    [anon_sym_BQUOTE] = ACTIONS(69),
    [sym_char] = ACTIONS(69),
    [sym__letter] = ACTIONS(71),
    [sym_stringQuote] = ACTIONS(71),
    [anon_sym_RPAREN] = ACTIONS(69),
    [anon_sym_COMMA] = ACTIONS(71),
    [sym__emptyString] = ACTIONS(69),
  },
  [15] = {
    [anon_sym_DOT] = ACTIONS(73),
    [ts_builtin_sym_end] = ACTIONS(73),
    [anon_sym_COMMA_AT] = ACTIONS(73),
    [aux_sym_quoted0_token1] = ACTIONS(73),
    [sym_bool] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [sym_char] = ACTIONS(73),
    [sym__letter] = ACTIONS(75),
    [sym_stringQuote] = ACTIONS(75),
    [anon_sym_RPAREN] = ACTIONS(73),
    [anon_sym_COMMA] = ACTIONS(75),
    [sym__emptyString] = ACTIONS(73),
  },
  [16] = {
    [sym_stringQuote] = ACTIONS(77),
  },
  [17] = {
    [sym__stringPart] = STATE(30),
    [aux_sym_stringContent_repeat1] = STATE(30),
    [sym_stringQuote] = ACTIONS(79),
    [sym_stringChar] = ACTIONS(81),
    [sym_escapeChar] = ACTIONS(83),
  },
  [18] = {
    [anon_sym_DOT] = ACTIONS(85),
    [ts_builtin_sym_end] = ACTIONS(85),
    [anon_sym_COMMA_AT] = ACTIONS(85),
    [aux_sym_quoted0_token1] = ACTIONS(85),
    [sym_bool] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(85),
    [sym_char] = ACTIONS(85),
    [sym__letter] = ACTIONS(87),
    [sym_stringQuote] = ACTIONS(87),
    [anon_sym_RPAREN] = ACTIONS(85),
    [anon_sym_COMMA] = ACTIONS(87),
    [sym__emptyString] = ACTIONS(85),
  },
  [19] = {
    [sym_quasiquoted1] = STATE(31),
    [sym_unquoted1] = STATE(31),
    [sym_symbol] = STATE(31),
    [sym_string] = STATE(31),
    [sym_spliced1] = STATE(31),
    [sym__paren1] = STATE(31),
    [sym_open1] = STATE(27),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym__realString] = STATE(8),
    [sym_quoted1] = STATE(31),
    [sym__sexp1] = STATE(31),
    [anon_sym_COMMA_AT] = ACTIONS(41),
    [aux_sym_quoted0_token1] = ACTIONS(43),
    [sym_bool] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(53),
    [anon_sym_BQUOTE] = ACTIONS(55),
    [sym_char] = ACTIONS(89),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(51),
    [sym__emptyString] = ACTIONS(19),
  },
  [20] = {
    [sym_quasiquoted1] = STATE(32),
    [sym_unquoted1] = STATE(32),
    [sym_symbol] = STATE(32),
    [sym_string] = STATE(32),
    [sym_spliced1] = STATE(32),
    [sym__paren1] = STATE(32),
    [sym_open1] = STATE(27),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym__realString] = STATE(8),
    [sym_quoted1] = STATE(32),
    [sym__sexp1] = STATE(32),
    [anon_sym_COMMA_AT] = ACTIONS(41),
    [aux_sym_quoted0_token1] = ACTIONS(43),
    [sym_bool] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(53),
    [anon_sym_BQUOTE] = ACTIONS(55),
    [sym_char] = ACTIONS(91),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(51),
    [sym__emptyString] = ACTIONS(19),
  },
  [21] = {
    [anon_sym_COMMA_AT] = ACTIONS(93),
    [aux_sym_quoted0_token1] = ACTIONS(93),
    [sym_bool] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_BQUOTE] = ACTIONS(93),
    [sym_char] = ACTIONS(93),
    [sym__letter] = ACTIONS(95),
    [sym_stringQuote] = ACTIONS(95),
    [anon_sym_RPAREN] = ACTIONS(93),
    [anon_sym_COMMA] = ACTIONS(95),
    [sym__emptyString] = ACTIONS(93),
  },
  [22] = {
    [sym_quasiquoted1] = STATE(33),
    [sym_unquoted1] = STATE(33),
    [sym_symbol] = STATE(33),
    [sym_string] = STATE(33),
    [sym_spliced1] = STATE(33),
    [sym__paren1] = STATE(33),
    [sym_open1] = STATE(27),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym__realString] = STATE(8),
    [sym_quoted1] = STATE(33),
    [sym__sexp1] = STATE(33),
    [anon_sym_COMMA_AT] = ACTIONS(41),
    [aux_sym_quoted0_token1] = ACTIONS(43),
    [sym_bool] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(53),
    [anon_sym_BQUOTE] = ACTIONS(55),
    [sym_char] = ACTIONS(97),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(51),
    [sym__emptyString] = ACTIONS(19),
  },
  [23] = {
    [anon_sym_DOT] = ACTIONS(99),
    [ts_builtin_sym_end] = ACTIONS(99),
    [anon_sym_COMMA_AT] = ACTIONS(99),
    [aux_sym_quoted0_token1] = ACTIONS(99),
    [sym_bool] = ACTIONS(99),
    [anon_sym_LPAREN] = ACTIONS(99),
    [anon_sym_BQUOTE] = ACTIONS(99),
    [sym_char] = ACTIONS(99),
    [sym__letter] = ACTIONS(101),
    [sym_stringQuote] = ACTIONS(101),
    [anon_sym_RPAREN] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(101),
    [sym__emptyString] = ACTIONS(99),
  },
  [24] = {
    [sym_quasiquoted1] = STATE(34),
    [sym_unquoted1] = STATE(34),
    [sym_symbol] = STATE(34),
    [sym_string] = STATE(34),
    [sym_spliced1] = STATE(34),
    [sym__paren1] = STATE(34),
    [sym_open1] = STATE(27),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym__realString] = STATE(8),
    [sym_quoted1] = STATE(34),
    [sym__sexp1] = STATE(34),
    [anon_sym_COMMA_AT] = ACTIONS(41),
    [aux_sym_quoted0_token1] = ACTIONS(43),
    [sym_bool] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(53),
    [anon_sym_BQUOTE] = ACTIONS(55),
    [sym_char] = ACTIONS(103),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(51),
    [sym__emptyString] = ACTIONS(19),
  },
  [25] = {
    [sym_quasiquoted1] = STATE(36),
    [sym_unquoted1] = STATE(36),
    [aux_sym__paren0_repeat1] = STATE(36),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym__sexp1] = STATE(36),
    [sym_quoted1] = STATE(36),
    [sym__realString] = STATE(8),
    [sym_symbol] = STATE(36),
    [sym_string] = STATE(36),
    [sym_close0] = STATE(37),
    [sym_spliced1] = STATE(36),
    [sym__paren1] = STATE(36),
    [sym_open1] = STATE(27),
    [anon_sym_COMMA_AT] = ACTIONS(41),
    [aux_sym_quoted0_token1] = ACTIONS(43),
    [sym_bool] = ACTIONS(105),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(49),
    [anon_sym_COMMA] = ACTIONS(51),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_DOT] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(53),
    [anon_sym_BQUOTE] = ACTIONS(55),
    [sym_char] = ACTIONS(105),
  },
  [26] = {
    [anon_sym_DOT] = ACTIONS(109),
    [ts_builtin_sym_end] = ACTIONS(109),
    [anon_sym_COMMA_AT] = ACTIONS(109),
    [aux_sym_quoted0_token1] = ACTIONS(109),
    [sym_bool] = ACTIONS(109),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_BQUOTE] = ACTIONS(109),
    [sym_char] = ACTIONS(109),
    [sym__letter] = ACTIONS(111),
    [sym_stringQuote] = ACTIONS(111),
    [anon_sym_RPAREN] = ACTIONS(109),
    [anon_sym_COMMA] = ACTIONS(111),
    [sym__emptyString] = ACTIONS(109),
  },
  [27] = {
    [sym_quasiquoted2] = STATE(46),
    [sym_unquoted2] = STATE(46),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym__realString] = STATE(8),
    [sym__sexp2] = STATE(46),
    [sym_quoted2] = STATE(46),
    [sym_open2] = STATE(44),
    [sym_close1] = STATE(45),
    [sym_symbol] = STATE(46),
    [sym_string] = STATE(46),
    [sym_spliced2] = STATE(46),
    [sym__paren2] = STATE(46),
    [aux_sym__paren1_repeat1] = STATE(46),
    [anon_sym_COMMA_AT] = ACTIONS(113),
    [aux_sym_quoted0_token1] = ACTIONS(115),
    [sym_bool] = ACTIONS(117),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(119),
    [anon_sym_COMMA] = ACTIONS(121),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [sym_char] = ACTIONS(117),
  },
  [28] = {
    [aux_sym_symbol_repeat1] = STATE(28),
    [anon_sym_RPAREN] = ACTIONS(127),
    [ts_builtin_sym_end] = ACTIONS(127),
    [sym__letter] = ACTIONS(129),
  },
  [29] = {
    [anon_sym_DOT] = ACTIONS(132),
    [ts_builtin_sym_end] = ACTIONS(132),
    [anon_sym_COMMA_AT] = ACTIONS(132),
    [aux_sym_quoted0_token1] = ACTIONS(132),
    [sym_bool] = ACTIONS(132),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_BQUOTE] = ACTIONS(132),
    [sym_char] = ACTIONS(132),
    [sym__letter] = ACTIONS(134),
    [sym_stringQuote] = ACTIONS(134),
    [anon_sym_RPAREN] = ACTIONS(132),
    [anon_sym_COMMA] = ACTIONS(134),
    [sym__emptyString] = ACTIONS(132),
  },
  [30] = {
    [sym__stringPart] = STATE(30),
    [aux_sym_stringContent_repeat1] = STATE(30),
    [sym_stringQuote] = ACTIONS(136),
    [sym_stringChar] = ACTIONS(138),
    [sym_escapeChar] = ACTIONS(141),
  },
  [31] = {
    [anon_sym_DOT] = ACTIONS(144),
    [anon_sym_COMMA_AT] = ACTIONS(144),
    [aux_sym_quoted0_token1] = ACTIONS(144),
    [sym_bool] = ACTIONS(144),
    [anon_sym_LPAREN] = ACTIONS(144),
    [anon_sym_BQUOTE] = ACTIONS(144),
    [sym_char] = ACTIONS(144),
    [sym__letter] = ACTIONS(146),
    [sym_stringQuote] = ACTIONS(146),
    [anon_sym_RPAREN] = ACTIONS(144),
    [anon_sym_COMMA] = ACTIONS(146),
    [sym__emptyString] = ACTIONS(144),
  },
  [32] = {
    [anon_sym_DOT] = ACTIONS(148),
    [anon_sym_COMMA_AT] = ACTIONS(148),
    [aux_sym_quoted0_token1] = ACTIONS(148),
    [sym_bool] = ACTIONS(148),
    [anon_sym_LPAREN] = ACTIONS(148),
    [anon_sym_BQUOTE] = ACTIONS(148),
    [sym_char] = ACTIONS(148),
    [sym__letter] = ACTIONS(150),
    [sym_stringQuote] = ACTIONS(150),
    [anon_sym_RPAREN] = ACTIONS(148),
    [anon_sym_COMMA] = ACTIONS(150),
    [sym__emptyString] = ACTIONS(148),
  },
  [33] = {
    [anon_sym_DOT] = ACTIONS(152),
    [anon_sym_COMMA_AT] = ACTIONS(152),
    [aux_sym_quoted0_token1] = ACTIONS(152),
    [sym_bool] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(152),
    [anon_sym_BQUOTE] = ACTIONS(152),
    [sym_char] = ACTIONS(152),
    [sym__letter] = ACTIONS(154),
    [sym_stringQuote] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(152),
    [anon_sym_COMMA] = ACTIONS(154),
    [sym__emptyString] = ACTIONS(152),
  },
  [34] = {
    [anon_sym_DOT] = ACTIONS(156),
    [anon_sym_COMMA_AT] = ACTIONS(156),
    [aux_sym_quoted0_token1] = ACTIONS(156),
    [sym_bool] = ACTIONS(156),
    [anon_sym_LPAREN] = ACTIONS(156),
    [anon_sym_BQUOTE] = ACTIONS(156),
    [sym_char] = ACTIONS(156),
    [sym__letter] = ACTIONS(158),
    [sym_stringQuote] = ACTIONS(158),
    [anon_sym_RPAREN] = ACTIONS(156),
    [anon_sym_COMMA] = ACTIONS(158),
    [sym__emptyString] = ACTIONS(156),
  },
  [35] = {
    [sym_quasiquoted1] = STATE(47),
    [sym_unquoted1] = STATE(47),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym__realString] = STATE(8),
    [sym_quoted1] = STATE(47),
    [sym__sexp1] = STATE(47),
    [sym_symbol] = STATE(47),
    [sym_string] = STATE(47),
    [sym_spliced1] = STATE(47),
    [sym__paren1] = STATE(47),
    [sym_open1] = STATE(27),
    [anon_sym_COMMA_AT] = ACTIONS(160),
    [aux_sym_quoted0_token1] = ACTIONS(162),
    [sym_bool] = ACTIONS(164),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(166),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(53),
    [anon_sym_BQUOTE] = ACTIONS(168),
    [sym_char] = ACTIONS(164),
  },
  [36] = {
    [sym__sexp1] = STATE(36),
    [sym_quasiquoted1] = STATE(36),
    [sym_unquoted1] = STATE(36),
    [sym_symbol] = STATE(36),
    [aux_sym__paren0_repeat1] = STATE(36),
    [sym_string] = STATE(36),
    [sym_spliced1] = STATE(36),
    [sym__paren1] = STATE(36),
    [sym_open1] = STATE(27),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym__realString] = STATE(8),
    [sym_quoted1] = STATE(36),
    [anon_sym_DOT] = ACTIONS(170),
    [anon_sym_COMMA_AT] = ACTIONS(172),
    [aux_sym_quoted0_token1] = ACTIONS(175),
    [sym_bool] = ACTIONS(178),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(184),
    [sym_char] = ACTIONS(178),
    [sym__letter] = ACTIONS(187),
    [sym_stringQuote] = ACTIONS(190),
    [anon_sym_RPAREN] = ACTIONS(170),
    [anon_sym_COMMA] = ACTIONS(193),
    [sym__emptyString] = ACTIONS(196),
  },
  [37] = {
    [anon_sym_DOT] = ACTIONS(199),
    [ts_builtin_sym_end] = ACTIONS(199),
    [anon_sym_COMMA_AT] = ACTIONS(199),
    [aux_sym_quoted0_token1] = ACTIONS(199),
    [sym_bool] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_BQUOTE] = ACTIONS(199),
    [sym_char] = ACTIONS(199),
    [sym__letter] = ACTIONS(201),
    [sym_stringQuote] = ACTIONS(201),
    [anon_sym_RPAREN] = ACTIONS(199),
    [anon_sym_COMMA] = ACTIONS(201),
    [sym__emptyString] = ACTIONS(199),
  },
  [38] = {
    [sym_quoted2] = STATE(48),
    [sym_open2] = STATE(44),
    [sym_quasiquoted2] = STATE(48),
    [sym_unquoted2] = STATE(48),
    [sym_symbol] = STATE(48),
    [sym_string] = STATE(48),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_spliced2] = STATE(48),
    [sym__paren2] = STATE(48),
    [sym__realString] = STATE(8),
    [sym__sexp2] = STATE(48),
    [anon_sym_COMMA_AT] = ACTIONS(113),
    [aux_sym_quoted0_token1] = ACTIONS(115),
    [sym_bool] = ACTIONS(203),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [sym_char] = ACTIONS(203),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(121),
    [sym__emptyString] = ACTIONS(19),
  },
  [39] = {
    [sym_quoted2] = STATE(49),
    [sym_open2] = STATE(44),
    [sym_quasiquoted2] = STATE(49),
    [sym_unquoted2] = STATE(49),
    [sym_symbol] = STATE(49),
    [sym_string] = STATE(49),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_spliced2] = STATE(49),
    [sym__paren2] = STATE(49),
    [sym__realString] = STATE(8),
    [sym__sexp2] = STATE(49),
    [anon_sym_COMMA_AT] = ACTIONS(113),
    [aux_sym_quoted0_token1] = ACTIONS(115),
    [sym_bool] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [sym_char] = ACTIONS(205),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(121),
    [sym__emptyString] = ACTIONS(19),
  },
  [40] = {
    [anon_sym_COMMA_AT] = ACTIONS(207),
    [aux_sym_quoted0_token1] = ACTIONS(207),
    [sym_bool] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(207),
    [anon_sym_BQUOTE] = ACTIONS(207),
    [sym_char] = ACTIONS(207),
    [sym__letter] = ACTIONS(209),
    [sym_stringQuote] = ACTIONS(209),
    [anon_sym_RPAREN] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(209),
    [sym__emptyString] = ACTIONS(207),
  },
  [41] = {
    [sym_quoted2] = STATE(50),
    [sym_open2] = STATE(44),
    [sym_quasiquoted2] = STATE(50),
    [sym_unquoted2] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_string] = STATE(50),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_spliced2] = STATE(50),
    [sym__paren2] = STATE(50),
    [sym__realString] = STATE(8),
    [sym__sexp2] = STATE(50),
    [anon_sym_COMMA_AT] = ACTIONS(113),
    [aux_sym_quoted0_token1] = ACTIONS(115),
    [sym_bool] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [sym_char] = ACTIONS(211),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(121),
    [sym__emptyString] = ACTIONS(19),
  },
  [42] = {
    [anon_sym_DOT] = ACTIONS(213),
    [anon_sym_COMMA_AT] = ACTIONS(213),
    [aux_sym_quoted0_token1] = ACTIONS(213),
    [sym_bool] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(213),
    [sym_char] = ACTIONS(213),
    [sym__letter] = ACTIONS(215),
    [sym_stringQuote] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(213),
    [anon_sym_COMMA] = ACTIONS(215),
    [sym__emptyString] = ACTIONS(213),
  },
  [43] = {
    [sym_quoted2] = STATE(51),
    [sym_open2] = STATE(44),
    [sym_quasiquoted2] = STATE(51),
    [sym_unquoted2] = STATE(51),
    [sym_symbol] = STATE(51),
    [sym_string] = STATE(51),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_spliced2] = STATE(51),
    [sym__paren2] = STATE(51),
    [sym__realString] = STATE(8),
    [sym__sexp2] = STATE(51),
    [anon_sym_COMMA_AT] = ACTIONS(113),
    [aux_sym_quoted0_token1] = ACTIONS(115),
    [sym_bool] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [sym_char] = ACTIONS(217),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(121),
    [sym__emptyString] = ACTIONS(19),
  },
  [44] = {
    [sym_close2] = STATE(59),
    [sym_open3] = STATE(60),
    [sym_quasiquoted3] = STATE(58),
    [sym_unquoted3] = STATE(58),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym__realString] = STATE(8),
    [sym__sexp3] = STATE(58),
    [sym_quoted3] = STATE(58),
    [sym_symbol] = STATE(58),
    [sym_string] = STATE(58),
    [sym_spliced3] = STATE(58),
    [aux_sym__paren2_repeat1] = STATE(58),
    [sym__paren3] = STATE(58),
    [anon_sym_COMMA_AT] = ACTIONS(219),
    [aux_sym_quoted0_token1] = ACTIONS(221),
    [sym_bool] = ACTIONS(223),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(225),
    [anon_sym_COMMA] = ACTIONS(227),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(229),
    [anon_sym_BQUOTE] = ACTIONS(231),
    [sym_char] = ACTIONS(223),
  },
  [45] = {
    [anon_sym_DOT] = ACTIONS(233),
    [anon_sym_COMMA_AT] = ACTIONS(233),
    [aux_sym_quoted0_token1] = ACTIONS(233),
    [sym_bool] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(233),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [sym_char] = ACTIONS(233),
    [sym__letter] = ACTIONS(235),
    [sym_stringQuote] = ACTIONS(235),
    [anon_sym_RPAREN] = ACTIONS(233),
    [anon_sym_COMMA] = ACTIONS(235),
    [sym__emptyString] = ACTIONS(233),
  },
  [46] = {
    [sym_quasiquoted2] = STATE(63),
    [sym_unquoted2] = STATE(63),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym__realString] = STATE(8),
    [sym__sexp2] = STATE(63),
    [sym_quoted2] = STATE(63),
    [sym_open2] = STATE(44),
    [sym_close1] = STATE(62),
    [sym_symbol] = STATE(63),
    [sym_string] = STATE(63),
    [sym_spliced2] = STATE(63),
    [sym__paren2] = STATE(63),
    [aux_sym__paren1_repeat1] = STATE(63),
    [anon_sym_COMMA_AT] = ACTIONS(113),
    [aux_sym_quoted0_token1] = ACTIONS(115),
    [sym_bool] = ACTIONS(237),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(119),
    [anon_sym_COMMA] = ACTIONS(121),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_DOT] = ACTIONS(239),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [sym_char] = ACTIONS(237),
  },
  [47] = {
    [sym_close0] = STATE(64),
    [anon_sym_RPAREN] = ACTIONS(49),
  },
  [48] = {
    [anon_sym_DOT] = ACTIONS(241),
    [anon_sym_COMMA_AT] = ACTIONS(241),
    [aux_sym_quoted0_token1] = ACTIONS(241),
    [sym_bool] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_BQUOTE] = ACTIONS(241),
    [sym_char] = ACTIONS(241),
    [sym__letter] = ACTIONS(243),
    [sym_stringQuote] = ACTIONS(243),
    [anon_sym_RPAREN] = ACTIONS(241),
    [anon_sym_COMMA] = ACTIONS(243),
    [sym__emptyString] = ACTIONS(241),
  },
  [49] = {
    [anon_sym_DOT] = ACTIONS(245),
    [anon_sym_COMMA_AT] = ACTIONS(245),
    [aux_sym_quoted0_token1] = ACTIONS(245),
    [sym_bool] = ACTIONS(245),
    [anon_sym_LPAREN] = ACTIONS(245),
    [anon_sym_BQUOTE] = ACTIONS(245),
    [sym_char] = ACTIONS(245),
    [sym__letter] = ACTIONS(247),
    [sym_stringQuote] = ACTIONS(247),
    [anon_sym_RPAREN] = ACTIONS(245),
    [anon_sym_COMMA] = ACTIONS(247),
    [sym__emptyString] = ACTIONS(245),
  },
  [50] = {
    [anon_sym_DOT] = ACTIONS(249),
    [anon_sym_COMMA_AT] = ACTIONS(249),
    [aux_sym_quoted0_token1] = ACTIONS(249),
    [sym_bool] = ACTIONS(249),
    [anon_sym_LPAREN] = ACTIONS(249),
    [anon_sym_BQUOTE] = ACTIONS(249),
    [sym_char] = ACTIONS(249),
    [sym__letter] = ACTIONS(251),
    [sym_stringQuote] = ACTIONS(251),
    [anon_sym_RPAREN] = ACTIONS(249),
    [anon_sym_COMMA] = ACTIONS(251),
    [sym__emptyString] = ACTIONS(249),
  },
  [51] = {
    [anon_sym_DOT] = ACTIONS(253),
    [anon_sym_COMMA_AT] = ACTIONS(253),
    [aux_sym_quoted0_token1] = ACTIONS(253),
    [sym_bool] = ACTIONS(253),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_BQUOTE] = ACTIONS(253),
    [sym_char] = ACTIONS(253),
    [sym__letter] = ACTIONS(255),
    [sym_stringQuote] = ACTIONS(255),
    [anon_sym_RPAREN] = ACTIONS(253),
    [anon_sym_COMMA] = ACTIONS(255),
    [sym__emptyString] = ACTIONS(253),
  },
  [52] = {
    [sym__sexp3] = STATE(65),
    [sym_quoted3] = STATE(65),
    [sym_open3] = STATE(60),
    [sym_quasiquoted3] = STATE(65),
    [sym_unquoted3] = STATE(65),
    [sym_string] = STATE(65),
    [sym_symbol] = STATE(65),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_spliced3] = STATE(65),
    [sym__paren3] = STATE(65),
    [sym__realString] = STATE(8),
    [anon_sym_COMMA_AT] = ACTIONS(219),
    [aux_sym_quoted0_token1] = ACTIONS(221),
    [sym_bool] = ACTIONS(257),
    [anon_sym_LPAREN] = ACTIONS(229),
    [anon_sym_BQUOTE] = ACTIONS(231),
    [sym_char] = ACTIONS(257),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(227),
    [sym__emptyString] = ACTIONS(19),
  },
  [53] = {
    [sym__sexp3] = STATE(66),
    [sym_quoted3] = STATE(66),
    [sym_open3] = STATE(60),
    [sym_quasiquoted3] = STATE(66),
    [sym_unquoted3] = STATE(66),
    [sym_string] = STATE(66),
    [sym_symbol] = STATE(66),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_spliced3] = STATE(66),
    [sym__paren3] = STATE(66),
    [sym__realString] = STATE(8),
    [anon_sym_COMMA_AT] = ACTIONS(219),
    [aux_sym_quoted0_token1] = ACTIONS(221),
    [sym_bool] = ACTIONS(259),
    [anon_sym_LPAREN] = ACTIONS(229),
    [anon_sym_BQUOTE] = ACTIONS(231),
    [sym_char] = ACTIONS(259),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(227),
    [sym__emptyString] = ACTIONS(19),
  },
  [54] = {
    [anon_sym_COMMA_AT] = ACTIONS(261),
    [aux_sym_quoted0_token1] = ACTIONS(261),
    [sym_bool] = ACTIONS(261),
    [anon_sym_LPAREN] = ACTIONS(261),
    [anon_sym_BQUOTE] = ACTIONS(261),
    [sym_char] = ACTIONS(261),
    [sym__letter] = ACTIONS(263),
    [sym_stringQuote] = ACTIONS(263),
    [anon_sym_RPAREN] = ACTIONS(261),
    [anon_sym_COMMA] = ACTIONS(263),
    [sym__emptyString] = ACTIONS(261),
  },
  [55] = {
    [sym__sexp3] = STATE(67),
    [sym_quoted3] = STATE(67),
    [sym_open3] = STATE(60),
    [sym_quasiquoted3] = STATE(67),
    [sym_unquoted3] = STATE(67),
    [sym_string] = STATE(67),
    [sym_symbol] = STATE(67),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_spliced3] = STATE(67),
    [sym__paren3] = STATE(67),
    [sym__realString] = STATE(8),
    [anon_sym_COMMA_AT] = ACTIONS(219),
    [aux_sym_quoted0_token1] = ACTIONS(221),
    [sym_bool] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(229),
    [anon_sym_BQUOTE] = ACTIONS(231),
    [sym_char] = ACTIONS(265),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(227),
    [sym__emptyString] = ACTIONS(19),
  },
  [56] = {
    [anon_sym_DOT] = ACTIONS(267),
    [anon_sym_COMMA_AT] = ACTIONS(267),
    [aux_sym_quoted0_token1] = ACTIONS(267),
    [sym_bool] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_BQUOTE] = ACTIONS(267),
    [sym_char] = ACTIONS(267),
    [sym__letter] = ACTIONS(269),
    [sym_stringQuote] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(267),
    [anon_sym_COMMA] = ACTIONS(269),
    [sym__emptyString] = ACTIONS(267),
  },
  [57] = {
    [sym__sexp3] = STATE(68),
    [sym_quoted3] = STATE(68),
    [sym_open3] = STATE(60),
    [sym_quasiquoted3] = STATE(68),
    [sym_unquoted3] = STATE(68),
    [sym_string] = STATE(68),
    [sym_symbol] = STATE(68),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_spliced3] = STATE(68),
    [sym__paren3] = STATE(68),
    [sym__realString] = STATE(8),
    [anon_sym_COMMA_AT] = ACTIONS(219),
    [aux_sym_quoted0_token1] = ACTIONS(221),
    [sym_bool] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(229),
    [anon_sym_BQUOTE] = ACTIONS(231),
    [sym_char] = ACTIONS(271),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(227),
    [sym__emptyString] = ACTIONS(19),
  },
  [58] = {
    [sym_close2] = STATE(71),
    [sym_open3] = STATE(60),
    [sym_quasiquoted3] = STATE(70),
    [sym_unquoted3] = STATE(70),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym__realString] = STATE(8),
    [sym__sexp3] = STATE(70),
    [sym_quoted3] = STATE(70),
    [sym_symbol] = STATE(70),
    [sym_string] = STATE(70),
    [sym_spliced3] = STATE(70),
    [aux_sym__paren2_repeat1] = STATE(70),
    [sym__paren3] = STATE(70),
    [anon_sym_COMMA_AT] = ACTIONS(219),
    [aux_sym_quoted0_token1] = ACTIONS(221),
    [sym_bool] = ACTIONS(273),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(225),
    [anon_sym_COMMA] = ACTIONS(227),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(229),
    [anon_sym_BQUOTE] = ACTIONS(231),
    [sym_char] = ACTIONS(273),
  },
  [59] = {
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_COMMA_AT] = ACTIONS(277),
    [aux_sym_quoted0_token1] = ACTIONS(277),
    [sym_bool] = ACTIONS(277),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [sym_char] = ACTIONS(277),
    [sym__letter] = ACTIONS(279),
    [sym_stringQuote] = ACTIONS(279),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(279),
    [sym__emptyString] = ACTIONS(277),
  },
  [60] = {
    [sym__paren4] = STATE(78),
    [sym_quasiquoted4] = STATE(78),
    [sym_unquoted4] = STATE(78),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym__realString] = STATE(8),
    [sym__sexp4] = STATE(78),
    [sym_quoted4] = STATE(78),
    [aux_sym__paren3_repeat1] = STATE(78),
    [sym_symbol] = STATE(78),
    [sym_string] = STATE(78),
    [sym_close3] = STATE(80),
    [sym_open4] = STATE(79),
    [sym_spliced4] = STATE(78),
    [anon_sym_COMMA_AT] = ACTIONS(281),
    [aux_sym_quoted0_token1] = ACTIONS(283),
    [sym_bool] = ACTIONS(285),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(287),
    [anon_sym_COMMA] = ACTIONS(289),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_BQUOTE] = ACTIONS(293),
    [sym_char] = ACTIONS(285),
  },
  [61] = {
    [sym_quasiquoted2] = STATE(81),
    [sym_unquoted2] = STATE(81),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym__realString] = STATE(8),
    [sym__sexp2] = STATE(81),
    [sym_quoted2] = STATE(81),
    [sym_open2] = STATE(44),
    [sym_symbol] = STATE(81),
    [sym_string] = STATE(81),
    [sym_spliced2] = STATE(81),
    [sym__paren2] = STATE(81),
    [anon_sym_COMMA_AT] = ACTIONS(295),
    [aux_sym_quoted0_token1] = ACTIONS(297),
    [sym_bool] = ACTIONS(299),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(301),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_BQUOTE] = ACTIONS(303),
    [sym_char] = ACTIONS(299),
  },
  [62] = {
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_COMMA_AT] = ACTIONS(305),
    [aux_sym_quoted0_token1] = ACTIONS(305),
    [sym_bool] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(305),
    [anon_sym_BQUOTE] = ACTIONS(305),
    [sym_char] = ACTIONS(305),
    [sym__letter] = ACTIONS(307),
    [sym_stringQuote] = ACTIONS(307),
    [anon_sym_RPAREN] = ACTIONS(305),
    [anon_sym_COMMA] = ACTIONS(307),
    [sym__emptyString] = ACTIONS(305),
  },
  [63] = {
    [sym_quoted2] = STATE(63),
    [sym_open2] = STATE(44),
    [sym_quasiquoted2] = STATE(63),
    [sym_unquoted2] = STATE(63),
    [sym_symbol] = STATE(63),
    [sym_string] = STATE(63),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_spliced2] = STATE(63),
    [sym__paren2] = STATE(63),
    [sym__realString] = STATE(8),
    [aux_sym__paren1_repeat1] = STATE(63),
    [sym__sexp2] = STATE(63),
    [anon_sym_DOT] = ACTIONS(309),
    [anon_sym_COMMA_AT] = ACTIONS(311),
    [aux_sym_quoted0_token1] = ACTIONS(314),
    [sym_bool] = ACTIONS(317),
    [anon_sym_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(323),
    [sym_char] = ACTIONS(317),
    [sym__letter] = ACTIONS(326),
    [sym_stringQuote] = ACTIONS(329),
    [anon_sym_RPAREN] = ACTIONS(309),
    [anon_sym_COMMA] = ACTIONS(332),
    [sym__emptyString] = ACTIONS(335),
  },
  [64] = {
    [anon_sym_DOT] = ACTIONS(338),
    [ts_builtin_sym_end] = ACTIONS(338),
    [anon_sym_COMMA_AT] = ACTIONS(338),
    [aux_sym_quoted0_token1] = ACTIONS(338),
    [sym_bool] = ACTIONS(338),
    [anon_sym_LPAREN] = ACTIONS(338),
    [anon_sym_BQUOTE] = ACTIONS(338),
    [sym_char] = ACTIONS(338),
    [sym__letter] = ACTIONS(340),
    [sym_stringQuote] = ACTIONS(340),
    [anon_sym_RPAREN] = ACTIONS(338),
    [anon_sym_COMMA] = ACTIONS(340),
    [sym__emptyString] = ACTIONS(338),
  },
  [65] = {
    [anon_sym_DOT] = ACTIONS(342),
    [anon_sym_COMMA_AT] = ACTIONS(342),
    [aux_sym_quoted0_token1] = ACTIONS(342),
    [sym_bool] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_BQUOTE] = ACTIONS(342),
    [sym_char] = ACTIONS(342),
    [sym__letter] = ACTIONS(344),
    [sym_stringQuote] = ACTIONS(344),
    [anon_sym_RPAREN] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(344),
    [sym__emptyString] = ACTIONS(342),
  },
  [66] = {
    [anon_sym_DOT] = ACTIONS(346),
    [anon_sym_COMMA_AT] = ACTIONS(346),
    [aux_sym_quoted0_token1] = ACTIONS(346),
    [sym_bool] = ACTIONS(346),
    [anon_sym_LPAREN] = ACTIONS(346),
    [anon_sym_BQUOTE] = ACTIONS(346),
    [sym_char] = ACTIONS(346),
    [sym__letter] = ACTIONS(348),
    [sym_stringQuote] = ACTIONS(348),
    [anon_sym_RPAREN] = ACTIONS(346),
    [anon_sym_COMMA] = ACTIONS(348),
    [sym__emptyString] = ACTIONS(346),
  },
  [67] = {
    [anon_sym_DOT] = ACTIONS(350),
    [anon_sym_COMMA_AT] = ACTIONS(350),
    [aux_sym_quoted0_token1] = ACTIONS(350),
    [sym_bool] = ACTIONS(350),
    [anon_sym_LPAREN] = ACTIONS(350),
    [anon_sym_BQUOTE] = ACTIONS(350),
    [sym_char] = ACTIONS(350),
    [sym__letter] = ACTIONS(352),
    [sym_stringQuote] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(350),
    [anon_sym_COMMA] = ACTIONS(352),
    [sym__emptyString] = ACTIONS(350),
  },
  [68] = {
    [anon_sym_DOT] = ACTIONS(354),
    [anon_sym_COMMA_AT] = ACTIONS(354),
    [aux_sym_quoted0_token1] = ACTIONS(354),
    [sym_bool] = ACTIONS(354),
    [anon_sym_LPAREN] = ACTIONS(354),
    [anon_sym_BQUOTE] = ACTIONS(354),
    [sym_char] = ACTIONS(354),
    [sym__letter] = ACTIONS(356),
    [sym_stringQuote] = ACTIONS(356),
    [anon_sym_RPAREN] = ACTIONS(354),
    [anon_sym_COMMA] = ACTIONS(356),
    [sym__emptyString] = ACTIONS(354),
  },
  [69] = {
    [sym_open3] = STATE(60),
    [sym_quasiquoted3] = STATE(82),
    [sym_unquoted3] = STATE(82),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym__realString] = STATE(8),
    [sym__sexp3] = STATE(82),
    [sym_quoted3] = STATE(82),
    [sym_symbol] = STATE(82),
    [sym_string] = STATE(82),
    [sym_spliced3] = STATE(82),
    [sym__paren3] = STATE(82),
    [anon_sym_COMMA_AT] = ACTIONS(358),
    [aux_sym_quoted0_token1] = ACTIONS(360),
    [sym_bool] = ACTIONS(362),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(364),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(229),
    [anon_sym_BQUOTE] = ACTIONS(366),
    [sym_char] = ACTIONS(362),
  },
  [70] = {
    [sym__realString] = STATE(8),
    [sym__sexp3] = STATE(70),
    [sym_quoted3] = STATE(70),
    [sym_open3] = STATE(60),
    [sym_symbol] = STATE(70),
    [sym_unquoted3] = STATE(70),
    [sym_string] = STATE(70),
    [sym_quasiquoted3] = STATE(70),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_spliced3] = STATE(70),
    [aux_sym__paren2_repeat1] = STATE(70),
    [sym__paren3] = STATE(70),
    [anon_sym_DOT] = ACTIONS(368),
    [anon_sym_COMMA_AT] = ACTIONS(370),
    [aux_sym_quoted0_token1] = ACTIONS(373),
    [sym_bool] = ACTIONS(376),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_BQUOTE] = ACTIONS(382),
    [sym_char] = ACTIONS(376),
    [sym__letter] = ACTIONS(385),
    [sym_stringQuote] = ACTIONS(388),
    [anon_sym_RPAREN] = ACTIONS(368),
    [anon_sym_COMMA] = ACTIONS(391),
    [sym__emptyString] = ACTIONS(394),
  },
  [71] = {
    [anon_sym_DOT] = ACTIONS(397),
    [anon_sym_COMMA_AT] = ACTIONS(397),
    [aux_sym_quoted0_token1] = ACTIONS(397),
    [sym_bool] = ACTIONS(397),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_BQUOTE] = ACTIONS(397),
    [sym_char] = ACTIONS(397),
    [sym__letter] = ACTIONS(399),
    [sym_stringQuote] = ACTIONS(399),
    [anon_sym_RPAREN] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(399),
    [sym__emptyString] = ACTIONS(397),
  },
  [72] = {
    [sym__paren4] = STATE(83),
    [sym__sexp4] = STATE(83),
    [sym_quoted4] = STATE(83),
    [sym_symbol] = STATE(83),
    [sym_string] = STATE(83),
    [sym_quasiquoted4] = STATE(83),
    [sym_unquoted4] = STATE(83),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_open4] = STATE(79),
    [sym__realString] = STATE(8),
    [sym_spliced4] = STATE(83),
    [anon_sym_COMMA_AT] = ACTIONS(281),
    [aux_sym_quoted0_token1] = ACTIONS(283),
    [sym_bool] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_BQUOTE] = ACTIONS(293),
    [sym_char] = ACTIONS(401),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(289),
    [sym__emptyString] = ACTIONS(19),
  },
  [73] = {
    [sym__paren4] = STATE(84),
    [sym__sexp4] = STATE(84),
    [sym_quoted4] = STATE(84),
    [sym_symbol] = STATE(84),
    [sym_string] = STATE(84),
    [sym_quasiquoted4] = STATE(84),
    [sym_unquoted4] = STATE(84),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_open4] = STATE(79),
    [sym__realString] = STATE(8),
    [sym_spliced4] = STATE(84),
    [anon_sym_COMMA_AT] = ACTIONS(281),
    [aux_sym_quoted0_token1] = ACTIONS(283),
    [sym_bool] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_BQUOTE] = ACTIONS(293),
    [sym_char] = ACTIONS(403),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(289),
    [sym__emptyString] = ACTIONS(19),
  },
  [74] = {
    [anon_sym_COMMA_AT] = ACTIONS(405),
    [aux_sym_quoted0_token1] = ACTIONS(405),
    [sym_bool] = ACTIONS(405),
    [anon_sym_LPAREN] = ACTIONS(405),
    [anon_sym_BQUOTE] = ACTIONS(405),
    [sym_char] = ACTIONS(405),
    [sym__letter] = ACTIONS(407),
    [sym_stringQuote] = ACTIONS(407),
    [anon_sym_RPAREN] = ACTIONS(405),
    [anon_sym_COMMA] = ACTIONS(407),
    [sym__emptyString] = ACTIONS(405),
  },
  [75] = {
    [sym__paren4] = STATE(85),
    [sym__sexp4] = STATE(85),
    [sym_quoted4] = STATE(85),
    [sym_symbol] = STATE(85),
    [sym_string] = STATE(85),
    [sym_quasiquoted4] = STATE(85),
    [sym_unquoted4] = STATE(85),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_open4] = STATE(79),
    [sym__realString] = STATE(8),
    [sym_spliced4] = STATE(85),
    [anon_sym_COMMA_AT] = ACTIONS(281),
    [aux_sym_quoted0_token1] = ACTIONS(283),
    [sym_bool] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_BQUOTE] = ACTIONS(293),
    [sym_char] = ACTIONS(409),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(289),
    [sym__emptyString] = ACTIONS(19),
  },
  [76] = {
    [anon_sym_DOT] = ACTIONS(411),
    [anon_sym_COMMA_AT] = ACTIONS(411),
    [aux_sym_quoted0_token1] = ACTIONS(411),
    [sym_bool] = ACTIONS(411),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_BQUOTE] = ACTIONS(411),
    [sym_char] = ACTIONS(411),
    [sym__letter] = ACTIONS(413),
    [sym_stringQuote] = ACTIONS(413),
    [anon_sym_RPAREN] = ACTIONS(411),
    [anon_sym_COMMA] = ACTIONS(413),
    [sym__emptyString] = ACTIONS(411),
  },
  [77] = {
    [sym__paren4] = STATE(86),
    [sym__sexp4] = STATE(86),
    [sym_quoted4] = STATE(86),
    [sym_symbol] = STATE(86),
    [sym_string] = STATE(86),
    [sym_quasiquoted4] = STATE(86),
    [sym_unquoted4] = STATE(86),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_open4] = STATE(79),
    [sym__realString] = STATE(8),
    [sym_spliced4] = STATE(86),
    [anon_sym_COMMA_AT] = ACTIONS(281),
    [aux_sym_quoted0_token1] = ACTIONS(283),
    [sym_bool] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_BQUOTE] = ACTIONS(293),
    [sym_char] = ACTIONS(415),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(289),
    [sym__emptyString] = ACTIONS(19),
  },
  [78] = {
    [sym__paren4] = STATE(88),
    [sym_quasiquoted4] = STATE(88),
    [sym_unquoted4] = STATE(88),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym__realString] = STATE(8),
    [sym__sexp4] = STATE(88),
    [sym_quoted4] = STATE(88),
    [aux_sym__paren3_repeat1] = STATE(88),
    [sym_symbol] = STATE(88),
    [sym_string] = STATE(88),
    [sym_close3] = STATE(89),
    [sym_open4] = STATE(79),
    [sym_spliced4] = STATE(88),
    [anon_sym_COMMA_AT] = ACTIONS(281),
    [aux_sym_quoted0_token1] = ACTIONS(283),
    [sym_bool] = ACTIONS(417),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(287),
    [anon_sym_COMMA] = ACTIONS(289),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_BQUOTE] = ACTIONS(293),
    [sym_char] = ACTIONS(417),
  },
  [79] = {
    [sym_spliced5] = STATE(97),
    [sym__paren5] = STATE(97),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_quasiquoted5] = STATE(97),
    [sym_unquoted5] = STATE(97),
    [sym__realString] = STATE(8),
    [sym_close4] = STATE(98),
    [sym_open5] = STATE(96),
    [aux_sym__paren4_repeat1] = STATE(97),
    [sym__sexp5] = STATE(97),
    [sym_quoted5] = STATE(97),
    [sym_symbol] = STATE(97),
    [sym_string] = STATE(97),
    [anon_sym_COMMA_AT] = ACTIONS(421),
    [aux_sym_quoted0_token1] = ACTIONS(423),
    [sym_bool] = ACTIONS(425),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(427),
    [anon_sym_COMMA] = ACTIONS(429),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(431),
    [anon_sym_BQUOTE] = ACTIONS(433),
    [sym_char] = ACTIONS(425),
  },
  [80] = {
    [anon_sym_DOT] = ACTIONS(435),
    [anon_sym_COMMA_AT] = ACTIONS(435),
    [aux_sym_quoted0_token1] = ACTIONS(435),
    [sym_bool] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_BQUOTE] = ACTIONS(435),
    [sym_char] = ACTIONS(435),
    [sym__letter] = ACTIONS(437),
    [sym_stringQuote] = ACTIONS(437),
    [anon_sym_RPAREN] = ACTIONS(435),
    [anon_sym_COMMA] = ACTIONS(437),
    [sym__emptyString] = ACTIONS(435),
  },
  [81] = {
    [sym_close1] = STATE(99),
    [anon_sym_RPAREN] = ACTIONS(119),
  },
  [82] = {
    [sym_close2] = STATE(100),
    [anon_sym_RPAREN] = ACTIONS(225),
  },
  [83] = {
    [anon_sym_DOT] = ACTIONS(439),
    [anon_sym_COMMA_AT] = ACTIONS(439),
    [aux_sym_quoted0_token1] = ACTIONS(439),
    [sym_bool] = ACTIONS(439),
    [anon_sym_LPAREN] = ACTIONS(439),
    [anon_sym_BQUOTE] = ACTIONS(439),
    [sym_char] = ACTIONS(439),
    [sym__letter] = ACTIONS(441),
    [sym_stringQuote] = ACTIONS(441),
    [anon_sym_RPAREN] = ACTIONS(439),
    [anon_sym_COMMA] = ACTIONS(441),
    [sym__emptyString] = ACTIONS(439),
  },
  [84] = {
    [anon_sym_DOT] = ACTIONS(443),
    [anon_sym_COMMA_AT] = ACTIONS(443),
    [aux_sym_quoted0_token1] = ACTIONS(443),
    [sym_bool] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_BQUOTE] = ACTIONS(443),
    [sym_char] = ACTIONS(443),
    [sym__letter] = ACTIONS(445),
    [sym_stringQuote] = ACTIONS(445),
    [anon_sym_RPAREN] = ACTIONS(443),
    [anon_sym_COMMA] = ACTIONS(445),
    [sym__emptyString] = ACTIONS(443),
  },
  [85] = {
    [anon_sym_DOT] = ACTIONS(447),
    [anon_sym_COMMA_AT] = ACTIONS(447),
    [aux_sym_quoted0_token1] = ACTIONS(447),
    [sym_bool] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(447),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [sym_char] = ACTIONS(447),
    [sym__letter] = ACTIONS(449),
    [sym_stringQuote] = ACTIONS(449),
    [anon_sym_RPAREN] = ACTIONS(447),
    [anon_sym_COMMA] = ACTIONS(449),
    [sym__emptyString] = ACTIONS(447),
  },
  [86] = {
    [anon_sym_DOT] = ACTIONS(451),
    [anon_sym_COMMA_AT] = ACTIONS(451),
    [aux_sym_quoted0_token1] = ACTIONS(451),
    [sym_bool] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_BQUOTE] = ACTIONS(451),
    [sym_char] = ACTIONS(451),
    [sym__letter] = ACTIONS(453),
    [sym_stringQuote] = ACTIONS(453),
    [anon_sym_RPAREN] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(453),
    [sym__emptyString] = ACTIONS(451),
  },
  [87] = {
    [sym__paren4] = STATE(101),
    [sym_quasiquoted4] = STATE(101),
    [sym_unquoted4] = STATE(101),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym__realString] = STATE(8),
    [sym__sexp4] = STATE(101),
    [sym_quoted4] = STATE(101),
    [sym_symbol] = STATE(101),
    [sym_string] = STATE(101),
    [sym_open4] = STATE(79),
    [sym_spliced4] = STATE(101),
    [anon_sym_COMMA_AT] = ACTIONS(455),
    [aux_sym_quoted0_token1] = ACTIONS(457),
    [sym_bool] = ACTIONS(459),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(461),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_BQUOTE] = ACTIONS(463),
    [sym_char] = ACTIONS(459),
  },
  [88] = {
    [sym__paren4] = STATE(88),
    [sym__sexp4] = STATE(88),
    [sym_quoted4] = STATE(88),
    [aux_sym__paren3_repeat1] = STATE(88),
    [sym_symbol] = STATE(88),
    [sym_string] = STATE(88),
    [sym_quasiquoted4] = STATE(88),
    [sym_unquoted4] = STATE(88),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_open4] = STATE(79),
    [sym__realString] = STATE(8),
    [sym_spliced4] = STATE(88),
    [anon_sym_DOT] = ACTIONS(465),
    [anon_sym_COMMA_AT] = ACTIONS(467),
    [aux_sym_quoted0_token1] = ACTIONS(470),
    [sym_bool] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_BQUOTE] = ACTIONS(479),
    [sym_char] = ACTIONS(473),
    [sym__letter] = ACTIONS(482),
    [sym_stringQuote] = ACTIONS(485),
    [anon_sym_RPAREN] = ACTIONS(465),
    [anon_sym_COMMA] = ACTIONS(488),
    [sym__emptyString] = ACTIONS(491),
  },
  [89] = {
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_COMMA_AT] = ACTIONS(494),
    [aux_sym_quoted0_token1] = ACTIONS(494),
    [sym_bool] = ACTIONS(494),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_BQUOTE] = ACTIONS(494),
    [sym_char] = ACTIONS(494),
    [sym__letter] = ACTIONS(496),
    [sym_stringQuote] = ACTIONS(496),
    [anon_sym_RPAREN] = ACTIONS(494),
    [anon_sym_COMMA] = ACTIONS(496),
    [sym__emptyString] = ACTIONS(494),
  },
  [90] = {
    [sym_spliced5] = STATE(102),
    [sym__paren5] = STATE(102),
    [sym_open5] = STATE(96),
    [sym__sexp5] = STATE(102),
    [sym_quoted5] = STATE(102),
    [sym_symbol] = STATE(102),
    [sym_string] = STATE(102),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_quasiquoted5] = STATE(102),
    [sym_unquoted5] = STATE(102),
    [sym__realString] = STATE(8),
    [anon_sym_COMMA_AT] = ACTIONS(421),
    [aux_sym_quoted0_token1] = ACTIONS(423),
    [sym_bool] = ACTIONS(498),
    [anon_sym_LPAREN] = ACTIONS(431),
    [anon_sym_BQUOTE] = ACTIONS(433),
    [sym_char] = ACTIONS(498),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(429),
    [sym__emptyString] = ACTIONS(19),
  },
  [91] = {
    [sym_spliced5] = STATE(103),
    [sym__paren5] = STATE(103),
    [sym_open5] = STATE(96),
    [sym__sexp5] = STATE(103),
    [sym_quoted5] = STATE(103),
    [sym_symbol] = STATE(103),
    [sym_string] = STATE(103),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_quasiquoted5] = STATE(103),
    [sym_unquoted5] = STATE(103),
    [sym__realString] = STATE(8),
    [anon_sym_COMMA_AT] = ACTIONS(421),
    [aux_sym_quoted0_token1] = ACTIONS(423),
    [sym_bool] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(431),
    [anon_sym_BQUOTE] = ACTIONS(433),
    [sym_char] = ACTIONS(500),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(429),
    [sym__emptyString] = ACTIONS(19),
  },
  [92] = {
    [anon_sym_COMMA_AT] = ACTIONS(502),
    [aux_sym_quoted0_token1] = ACTIONS(502),
    [sym_bool] = ACTIONS(502),
    [anon_sym_LPAREN] = ACTIONS(502),
    [anon_sym_BQUOTE] = ACTIONS(502),
    [sym_char] = ACTIONS(502),
    [sym__letter] = ACTIONS(504),
    [sym_stringQuote] = ACTIONS(504),
    [anon_sym_RPAREN] = ACTIONS(502),
    [anon_sym_COMMA] = ACTIONS(504),
    [sym__emptyString] = ACTIONS(502),
  },
  [93] = {
    [sym_spliced5] = STATE(104),
    [sym__paren5] = STATE(104),
    [sym_open5] = STATE(96),
    [sym__sexp5] = STATE(104),
    [sym_quoted5] = STATE(104),
    [sym_symbol] = STATE(104),
    [sym_string] = STATE(104),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_quasiquoted5] = STATE(104),
    [sym_unquoted5] = STATE(104),
    [sym__realString] = STATE(8),
    [anon_sym_COMMA_AT] = ACTIONS(421),
    [aux_sym_quoted0_token1] = ACTIONS(423),
    [sym_bool] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(431),
    [anon_sym_BQUOTE] = ACTIONS(433),
    [sym_char] = ACTIONS(506),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(429),
    [sym__emptyString] = ACTIONS(19),
  },
  [94] = {
    [anon_sym_DOT] = ACTIONS(508),
    [anon_sym_COMMA_AT] = ACTIONS(508),
    [aux_sym_quoted0_token1] = ACTIONS(508),
    [sym_bool] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_BQUOTE] = ACTIONS(508),
    [sym_char] = ACTIONS(508),
    [sym__letter] = ACTIONS(510),
    [sym_stringQuote] = ACTIONS(510),
    [anon_sym_RPAREN] = ACTIONS(508),
    [anon_sym_COMMA] = ACTIONS(510),
    [sym__emptyString] = ACTIONS(508),
  },
  [95] = {
    [sym_spliced5] = STATE(105),
    [sym__paren5] = STATE(105),
    [sym_open5] = STATE(96),
    [sym__sexp5] = STATE(105),
    [sym_quoted5] = STATE(105),
    [sym_symbol] = STATE(105),
    [sym_string] = STATE(105),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_quasiquoted5] = STATE(105),
    [sym_unquoted5] = STATE(105),
    [sym__realString] = STATE(8),
    [anon_sym_COMMA_AT] = ACTIONS(421),
    [aux_sym_quoted0_token1] = ACTIONS(423),
    [sym_bool] = ACTIONS(512),
    [anon_sym_LPAREN] = ACTIONS(431),
    [anon_sym_BQUOTE] = ACTIONS(433),
    [sym_char] = ACTIONS(512),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(429),
    [sym__emptyString] = ACTIONS(19),
  },
  [96] = {
    [sym_quasiquoted0] = STATE(108),
    [sym_unquoted0] = STATE(108),
    [sym_open0] = STATE(9),
    [sym_close5] = STATE(107),
    [aux_sym__paren5_repeat1] = STATE(108),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym__sexp0] = STATE(108),
    [sym_quoted0] = STATE(108),
    [sym__realString] = STATE(8),
    [sym_symbol] = STATE(108),
    [sym__paren0] = STATE(108),
    [sym_string] = STATE(108),
    [sym_spliced0] = STATE(108),
    [anon_sym_COMMA_AT] = ACTIONS(514),
    [aux_sym_quoted0_token1] = ACTIONS(516),
    [sym_bool] = ACTIONS(518),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(520),
    [anon_sym_COMMA] = ACTIONS(522),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(524),
    [sym_char] = ACTIONS(518),
  },
  [97] = {
    [sym_spliced5] = STATE(110),
    [sym__paren5] = STATE(110),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_quasiquoted5] = STATE(110),
    [sym_unquoted5] = STATE(110),
    [sym__realString] = STATE(8),
    [sym_close4] = STATE(111),
    [sym_open5] = STATE(96),
    [aux_sym__paren4_repeat1] = STATE(110),
    [sym__sexp5] = STATE(110),
    [sym_quoted5] = STATE(110),
    [sym_symbol] = STATE(110),
    [sym_string] = STATE(110),
    [anon_sym_COMMA_AT] = ACTIONS(421),
    [aux_sym_quoted0_token1] = ACTIONS(423),
    [sym_bool] = ACTIONS(526),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(427),
    [anon_sym_COMMA] = ACTIONS(429),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_DOT] = ACTIONS(528),
    [anon_sym_LPAREN] = ACTIONS(431),
    [anon_sym_BQUOTE] = ACTIONS(433),
    [sym_char] = ACTIONS(526),
  },
  [98] = {
    [anon_sym_DOT] = ACTIONS(530),
    [anon_sym_COMMA_AT] = ACTIONS(530),
    [aux_sym_quoted0_token1] = ACTIONS(530),
    [sym_bool] = ACTIONS(530),
    [anon_sym_LPAREN] = ACTIONS(530),
    [anon_sym_BQUOTE] = ACTIONS(530),
    [sym_char] = ACTIONS(530),
    [sym__letter] = ACTIONS(532),
    [sym_stringQuote] = ACTIONS(532),
    [anon_sym_RPAREN] = ACTIONS(530),
    [anon_sym_COMMA] = ACTIONS(532),
    [sym__emptyString] = ACTIONS(530),
  },
  [99] = {
    [anon_sym_DOT] = ACTIONS(534),
    [anon_sym_COMMA_AT] = ACTIONS(534),
    [aux_sym_quoted0_token1] = ACTIONS(534),
    [sym_bool] = ACTIONS(534),
    [anon_sym_LPAREN] = ACTIONS(534),
    [anon_sym_BQUOTE] = ACTIONS(534),
    [sym_char] = ACTIONS(534),
    [sym__letter] = ACTIONS(536),
    [sym_stringQuote] = ACTIONS(536),
    [anon_sym_RPAREN] = ACTIONS(534),
    [anon_sym_COMMA] = ACTIONS(536),
    [sym__emptyString] = ACTIONS(534),
  },
  [100] = {
    [anon_sym_DOT] = ACTIONS(538),
    [anon_sym_COMMA_AT] = ACTIONS(538),
    [aux_sym_quoted0_token1] = ACTIONS(538),
    [sym_bool] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(538),
    [anon_sym_BQUOTE] = ACTIONS(538),
    [sym_char] = ACTIONS(538),
    [sym__letter] = ACTIONS(540),
    [sym_stringQuote] = ACTIONS(540),
    [anon_sym_RPAREN] = ACTIONS(538),
    [anon_sym_COMMA] = ACTIONS(540),
    [sym__emptyString] = ACTIONS(538),
  },
  [101] = {
    [sym_close3] = STATE(112),
    [anon_sym_RPAREN] = ACTIONS(287),
  },
  [102] = {
    [anon_sym_DOT] = ACTIONS(542),
    [anon_sym_COMMA_AT] = ACTIONS(542),
    [aux_sym_quoted0_token1] = ACTIONS(542),
    [sym_bool] = ACTIONS(542),
    [anon_sym_LPAREN] = ACTIONS(542),
    [anon_sym_BQUOTE] = ACTIONS(542),
    [sym_char] = ACTIONS(542),
    [sym__letter] = ACTIONS(544),
    [sym_stringQuote] = ACTIONS(544),
    [anon_sym_RPAREN] = ACTIONS(542),
    [anon_sym_COMMA] = ACTIONS(544),
    [sym__emptyString] = ACTIONS(542),
  },
  [103] = {
    [anon_sym_DOT] = ACTIONS(546),
    [anon_sym_COMMA_AT] = ACTIONS(546),
    [aux_sym_quoted0_token1] = ACTIONS(546),
    [sym_bool] = ACTIONS(546),
    [anon_sym_LPAREN] = ACTIONS(546),
    [anon_sym_BQUOTE] = ACTIONS(546),
    [sym_char] = ACTIONS(546),
    [sym__letter] = ACTIONS(548),
    [sym_stringQuote] = ACTIONS(548),
    [anon_sym_RPAREN] = ACTIONS(546),
    [anon_sym_COMMA] = ACTIONS(548),
    [sym__emptyString] = ACTIONS(546),
  },
  [104] = {
    [anon_sym_DOT] = ACTIONS(550),
    [anon_sym_COMMA_AT] = ACTIONS(550),
    [aux_sym_quoted0_token1] = ACTIONS(550),
    [sym_bool] = ACTIONS(550),
    [anon_sym_LPAREN] = ACTIONS(550),
    [anon_sym_BQUOTE] = ACTIONS(550),
    [sym_char] = ACTIONS(550),
    [sym__letter] = ACTIONS(552),
    [sym_stringQuote] = ACTIONS(552),
    [anon_sym_RPAREN] = ACTIONS(550),
    [anon_sym_COMMA] = ACTIONS(552),
    [sym__emptyString] = ACTIONS(550),
  },
  [105] = {
    [anon_sym_DOT] = ACTIONS(554),
    [anon_sym_COMMA_AT] = ACTIONS(554),
    [aux_sym_quoted0_token1] = ACTIONS(554),
    [sym_bool] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_BQUOTE] = ACTIONS(554),
    [sym_char] = ACTIONS(554),
    [sym__letter] = ACTIONS(556),
    [sym_stringQuote] = ACTIONS(556),
    [anon_sym_RPAREN] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(556),
    [sym__emptyString] = ACTIONS(554),
  },
  [106] = {
    [anon_sym_DOT] = ACTIONS(558),
    [anon_sym_COMMA_AT] = ACTIONS(558),
    [aux_sym_quoted0_token1] = ACTIONS(558),
    [sym_bool] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(558),
    [anon_sym_BQUOTE] = ACTIONS(558),
    [sym_char] = ACTIONS(558),
    [sym__letter] = ACTIONS(560),
    [sym_stringQuote] = ACTIONS(560),
    [anon_sym_RPAREN] = ACTIONS(558),
    [anon_sym_COMMA] = ACTIONS(560),
    [sym__emptyString] = ACTIONS(558),
  },
  [107] = {
    [anon_sym_DOT] = ACTIONS(562),
    [anon_sym_COMMA_AT] = ACTIONS(562),
    [aux_sym_quoted0_token1] = ACTIONS(562),
    [sym_bool] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_BQUOTE] = ACTIONS(562),
    [sym_char] = ACTIONS(562),
    [sym__letter] = ACTIONS(564),
    [sym_stringQuote] = ACTIONS(564),
    [anon_sym_RPAREN] = ACTIONS(562),
    [anon_sym_COMMA] = ACTIONS(564),
    [sym__emptyString] = ACTIONS(562),
  },
  [108] = {
    [sym_quasiquoted0] = STATE(115),
    [sym_unquoted0] = STATE(115),
    [sym_open0] = STATE(9),
    [sym_close5] = STATE(114),
    [aux_sym__paren5_repeat1] = STATE(115),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym__sexp0] = STATE(115),
    [sym_quoted0] = STATE(115),
    [sym__realString] = STATE(8),
    [sym_symbol] = STATE(115),
    [sym__paren0] = STATE(115),
    [sym_string] = STATE(115),
    [sym_spliced0] = STATE(115),
    [anon_sym_COMMA_AT] = ACTIONS(514),
    [aux_sym_quoted0_token1] = ACTIONS(516),
    [sym_bool] = ACTIONS(566),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(520),
    [anon_sym_COMMA] = ACTIONS(522),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_DOT] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(524),
    [sym_char] = ACTIONS(566),
  },
  [109] = {
    [sym_spliced5] = STATE(116),
    [sym__paren5] = STATE(116),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym_quasiquoted5] = STATE(116),
    [sym_unquoted5] = STATE(116),
    [sym__realString] = STATE(8),
    [sym_open5] = STATE(96),
    [sym__sexp5] = STATE(116),
    [sym_quoted5] = STATE(116),
    [sym_symbol] = STATE(116),
    [sym_string] = STATE(116),
    [anon_sym_COMMA_AT] = ACTIONS(570),
    [aux_sym_quoted0_token1] = ACTIONS(572),
    [sym_bool] = ACTIONS(574),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(576),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(431),
    [anon_sym_BQUOTE] = ACTIONS(578),
    [sym_char] = ACTIONS(574),
  },
  [110] = {
    [sym_spliced5] = STATE(110),
    [sym__paren5] = STATE(110),
    [sym_open5] = STATE(96),
    [aux_sym__paren4_repeat1] = STATE(110),
    [sym__sexp5] = STATE(110),
    [sym_quoted5] = STATE(110),
    [sym_symbol] = STATE(110),
    [sym_string] = STATE(110),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_quasiquoted5] = STATE(110),
    [sym_unquoted5] = STATE(110),
    [sym__realString] = STATE(8),
    [anon_sym_DOT] = ACTIONS(580),
    [anon_sym_COMMA_AT] = ACTIONS(582),
    [aux_sym_quoted0_token1] = ACTIONS(585),
    [sym_bool] = ACTIONS(588),
    [anon_sym_LPAREN] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(594),
    [sym_char] = ACTIONS(588),
    [sym__letter] = ACTIONS(597),
    [sym_stringQuote] = ACTIONS(600),
    [anon_sym_RPAREN] = ACTIONS(580),
    [anon_sym_COMMA] = ACTIONS(603),
    [sym__emptyString] = ACTIONS(606),
  },
  [111] = {
    [anon_sym_DOT] = ACTIONS(609),
    [anon_sym_COMMA_AT] = ACTIONS(609),
    [aux_sym_quoted0_token1] = ACTIONS(609),
    [sym_bool] = ACTIONS(609),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [sym_char] = ACTIONS(609),
    [sym__letter] = ACTIONS(611),
    [sym_stringQuote] = ACTIONS(611),
    [anon_sym_RPAREN] = ACTIONS(609),
    [anon_sym_COMMA] = ACTIONS(611),
    [sym__emptyString] = ACTIONS(609),
  },
  [112] = {
    [anon_sym_DOT] = ACTIONS(613),
    [anon_sym_COMMA_AT] = ACTIONS(613),
    [aux_sym_quoted0_token1] = ACTIONS(613),
    [sym_bool] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_BQUOTE] = ACTIONS(613),
    [sym_char] = ACTIONS(613),
    [sym__letter] = ACTIONS(615),
    [sym_stringQuote] = ACTIONS(615),
    [anon_sym_RPAREN] = ACTIONS(613),
    [anon_sym_COMMA] = ACTIONS(615),
    [sym__emptyString] = ACTIONS(613),
  },
  [113] = {
    [sym_quasiquoted0] = STATE(117),
    [sym_unquoted0] = STATE(117),
    [sym_open0] = STATE(9),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym__sexp0] = STATE(117),
    [sym_quoted0] = STATE(117),
    [sym__realString] = STATE(8),
    [sym_spliced0] = STATE(117),
    [sym__paren0] = STATE(117),
    [sym_string] = STATE(117),
    [sym_symbol] = STATE(117),
    [anon_sym_COMMA_AT] = ACTIONS(3),
    [aux_sym_quoted0_token1] = ACTIONS(5),
    [sym_bool] = ACTIONS(617),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(17),
    [sym__emptyString] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [sym_char] = ACTIONS(617),
  },
  [114] = {
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_COMMA_AT] = ACTIONS(619),
    [aux_sym_quoted0_token1] = ACTIONS(619),
    [sym_bool] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [sym_char] = ACTIONS(619),
    [sym__letter] = ACTIONS(621),
    [sym_stringQuote] = ACTIONS(621),
    [anon_sym_RPAREN] = ACTIONS(619),
    [anon_sym_COMMA] = ACTIONS(621),
    [sym__emptyString] = ACTIONS(619),
  },
  [115] = {
    [sym_quasiquoted0] = STATE(115),
    [sym_unquoted0] = STATE(115),
    [sym_open0] = STATE(9),
    [sym_spliced0] = STATE(115),
    [sym__paren0] = STATE(115),
    [sym_string] = STATE(115),
    [sym_symbol] = STATE(115),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_quoted0] = STATE(115),
    [sym__realString] = STATE(8),
    [sym__sexp0] = STATE(115),
    [aux_sym__paren5_repeat1] = STATE(115),
    [anon_sym_DOT] = ACTIONS(623),
    [anon_sym_COMMA_AT] = ACTIONS(625),
    [aux_sym_quoted0_token1] = ACTIONS(628),
    [sym_bool] = ACTIONS(631),
    [anon_sym_LPAREN] = ACTIONS(634),
    [anon_sym_BQUOTE] = ACTIONS(637),
    [sym_char] = ACTIONS(631),
    [sym__letter] = ACTIONS(640),
    [sym_stringQuote] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(623),
    [anon_sym_COMMA] = ACTIONS(646),
    [sym__emptyString] = ACTIONS(649),
  },
  [116] = {
    [sym_close4] = STATE(118),
    [anon_sym_RPAREN] = ACTIONS(427),
  },
  [117] = {
    [sym_close5] = STATE(119),
    [anon_sym_RPAREN] = ACTIONS(520),
  },
  [118] = {
    [anon_sym_DOT] = ACTIONS(652),
    [anon_sym_COMMA_AT] = ACTIONS(652),
    [aux_sym_quoted0_token1] = ACTIONS(652),
    [sym_bool] = ACTIONS(652),
    [anon_sym_LPAREN] = ACTIONS(652),
    [anon_sym_BQUOTE] = ACTIONS(652),
    [sym_char] = ACTIONS(652),
    [sym__letter] = ACTIONS(654),
    [sym_stringQuote] = ACTIONS(654),
    [anon_sym_RPAREN] = ACTIONS(652),
    [anon_sym_COMMA] = ACTIONS(654),
    [sym__emptyString] = ACTIONS(652),
  },
  [119] = {
    [anon_sym_DOT] = ACTIONS(656),
    [anon_sym_COMMA_AT] = ACTIONS(656),
    [aux_sym_quoted0_token1] = ACTIONS(656),
    [sym_bool] = ACTIONS(656),
    [anon_sym_LPAREN] = ACTIONS(656),
    [anon_sym_BQUOTE] = ACTIONS(656),
    [sym_char] = ACTIONS(656),
    [sym__letter] = ACTIONS(658),
    [sym_stringQuote] = ACTIONS(658),
    [anon_sym_RPAREN] = ACTIONS(656),
    [anon_sym_COMMA] = ACTIONS(658),
    [sym__emptyString] = ACTIONS(656),
  },
  [120] = {
    [sym_quasiquoted0] = STATE(18),
    [sym_unquoted0] = STATE(18),
    [sym_open0] = STATE(9),
    [sym_spliced0] = STATE(18),
    [sym__paren0] = STATE(18),
    [sym_string] = STATE(18),
    [sym_symbol] = STATE(18),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_quoted0] = STATE(18),
    [sym__realString] = STATE(8),
    [sym__sexp0] = STATE(18),
    [anon_sym_COMMA_AT] = ACTIONS(514),
    [aux_sym_quoted0_token1] = ACTIONS(516),
    [sym_bool] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(524),
    [sym_char] = ACTIONS(35),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(522),
    [sym__emptyString] = ACTIONS(19),
  },
  [121] = {
    [aux_sym_symbol_repeat1] = STATE(126),
    [anon_sym_DOT] = ACTIONS(61),
    [anon_sym_COMMA_AT] = ACTIONS(61),
    [aux_sym_quoted0_token1] = ACTIONS(61),
    [sym_bool] = ACTIONS(61),
    [anon_sym_LPAREN] = ACTIONS(61),
    [anon_sym_BQUOTE] = ACTIONS(61),
    [sym_char] = ACTIONS(61),
    [sym__letter] = ACTIONS(660),
    [sym_stringQuote] = ACTIONS(660),
    [anon_sym_RPAREN] = ACTIONS(61),
    [anon_sym_COMMA] = ACTIONS(660),
    [sym__emptyString] = ACTIONS(61),
  },
  [122] = {
    [sym_quasiquoted1] = STATE(31),
    [sym_unquoted1] = STATE(31),
    [sym_symbol] = STATE(31),
    [sym_string] = STATE(31),
    [sym_spliced1] = STATE(31),
    [sym__paren1] = STATE(31),
    [sym_open1] = STATE(27),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym__realString] = STATE(8),
    [sym_quoted1] = STATE(31),
    [sym__sexp1] = STATE(31),
    [anon_sym_COMMA_AT] = ACTIONS(160),
    [aux_sym_quoted0_token1] = ACTIONS(162),
    [sym_bool] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(53),
    [anon_sym_BQUOTE] = ACTIONS(168),
    [sym_char] = ACTIONS(89),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(166),
    [sym__emptyString] = ACTIONS(19),
  },
  [123] = {
    [sym_quasiquoted1] = STATE(32),
    [sym_unquoted1] = STATE(32),
    [sym_symbol] = STATE(32),
    [sym_string] = STATE(32),
    [sym_spliced1] = STATE(32),
    [sym__paren1] = STATE(32),
    [sym_open1] = STATE(27),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym__realString] = STATE(8),
    [sym_quoted1] = STATE(32),
    [sym__sexp1] = STATE(32),
    [anon_sym_COMMA_AT] = ACTIONS(160),
    [aux_sym_quoted0_token1] = ACTIONS(162),
    [sym_bool] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(53),
    [anon_sym_BQUOTE] = ACTIONS(168),
    [sym_char] = ACTIONS(91),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(166),
    [sym__emptyString] = ACTIONS(19),
  },
  [124] = {
    [sym_quasiquoted1] = STATE(33),
    [sym_unquoted1] = STATE(33),
    [sym_symbol] = STATE(33),
    [sym_string] = STATE(33),
    [sym_spliced1] = STATE(33),
    [sym__paren1] = STATE(33),
    [sym_open1] = STATE(27),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym__realString] = STATE(8),
    [sym_quoted1] = STATE(33),
    [sym__sexp1] = STATE(33),
    [anon_sym_COMMA_AT] = ACTIONS(160),
    [aux_sym_quoted0_token1] = ACTIONS(162),
    [sym_bool] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(53),
    [anon_sym_BQUOTE] = ACTIONS(168),
    [sym_char] = ACTIONS(97),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(166),
    [sym__emptyString] = ACTIONS(19),
  },
  [125] = {
    [sym_quasiquoted1] = STATE(34),
    [sym_unquoted1] = STATE(34),
    [sym_symbol] = STATE(34),
    [sym_string] = STATE(34),
    [sym_spliced1] = STATE(34),
    [sym__paren1] = STATE(34),
    [sym_open1] = STATE(27),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym__realString] = STATE(8),
    [sym_quoted1] = STATE(34),
    [sym__sexp1] = STATE(34),
    [anon_sym_COMMA_AT] = ACTIONS(160),
    [aux_sym_quoted0_token1] = ACTIONS(162),
    [sym_bool] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(53),
    [anon_sym_BQUOTE] = ACTIONS(168),
    [sym_char] = ACTIONS(103),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(166),
    [sym__emptyString] = ACTIONS(19),
  },
  [126] = {
    [aux_sym_symbol_repeat1] = STATE(126),
    [anon_sym_DOT] = ACTIONS(127),
    [anon_sym_COMMA_AT] = ACTIONS(127),
    [aux_sym_quoted0_token1] = ACTIONS(127),
    [sym_bool] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [sym_char] = ACTIONS(127),
    [sym__letter] = ACTIONS(662),
    [sym_stringQuote] = ACTIONS(665),
    [anon_sym_RPAREN] = ACTIONS(127),
    [anon_sym_COMMA] = ACTIONS(665),
    [sym__emptyString] = ACTIONS(127),
  },
  [127] = {
    [sym_quoted2] = STATE(48),
    [sym_open2] = STATE(44),
    [sym_quasiquoted2] = STATE(48),
    [sym_unquoted2] = STATE(48),
    [sym_symbol] = STATE(48),
    [sym_string] = STATE(48),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym_spliced2] = STATE(48),
    [sym__paren2] = STATE(48),
    [sym__realString] = STATE(8),
    [sym__sexp2] = STATE(48),
    [anon_sym_COMMA_AT] = ACTIONS(295),
    [aux_sym_quoted0_token1] = ACTIONS(297),
    [sym_bool] = ACTIONS(203),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_BQUOTE] = ACTIONS(303),
    [sym_char] = ACTIONS(203),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(301),
    [sym__emptyString] = ACTIONS(19),
  },
  [128] = {
    [sym_quoted2] = STATE(49),
    [sym_open2] = STATE(44),
    [sym_quasiquoted2] = STATE(49),
    [sym_unquoted2] = STATE(49),
    [sym_symbol] = STATE(49),
    [sym_string] = STATE(49),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym_spliced2] = STATE(49),
    [sym__paren2] = STATE(49),
    [sym__realString] = STATE(8),
    [sym__sexp2] = STATE(49),
    [anon_sym_COMMA_AT] = ACTIONS(295),
    [aux_sym_quoted0_token1] = ACTIONS(297),
    [sym_bool] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_BQUOTE] = ACTIONS(303),
    [sym_char] = ACTIONS(205),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(301),
    [sym__emptyString] = ACTIONS(19),
  },
  [129] = {
    [sym_quoted2] = STATE(50),
    [sym_open2] = STATE(44),
    [sym_quasiquoted2] = STATE(50),
    [sym_unquoted2] = STATE(50),
    [sym_symbol] = STATE(50),
    [sym_string] = STATE(50),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym_spliced2] = STATE(50),
    [sym__paren2] = STATE(50),
    [sym__realString] = STATE(8),
    [sym__sexp2] = STATE(50),
    [anon_sym_COMMA_AT] = ACTIONS(295),
    [aux_sym_quoted0_token1] = ACTIONS(297),
    [sym_bool] = ACTIONS(211),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_BQUOTE] = ACTIONS(303),
    [sym_char] = ACTIONS(211),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(301),
    [sym__emptyString] = ACTIONS(19),
  },
  [130] = {
    [sym_quoted2] = STATE(51),
    [sym_open2] = STATE(44),
    [sym_quasiquoted2] = STATE(51),
    [sym_unquoted2] = STATE(51),
    [sym_symbol] = STATE(51),
    [sym_string] = STATE(51),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym_spliced2] = STATE(51),
    [sym__paren2] = STATE(51),
    [sym__realString] = STATE(8),
    [sym__sexp2] = STATE(51),
    [anon_sym_COMMA_AT] = ACTIONS(295),
    [aux_sym_quoted0_token1] = ACTIONS(297),
    [sym_bool] = ACTIONS(217),
    [anon_sym_LPAREN] = ACTIONS(123),
    [anon_sym_BQUOTE] = ACTIONS(303),
    [sym_char] = ACTIONS(217),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(301),
    [sym__emptyString] = ACTIONS(19),
  },
  [131] = {
    [sym__sexp3] = STATE(65),
    [sym_quoted3] = STATE(65),
    [sym_open3] = STATE(60),
    [sym_quasiquoted3] = STATE(65),
    [sym_unquoted3] = STATE(65),
    [sym_string] = STATE(65),
    [sym_symbol] = STATE(65),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym_spliced3] = STATE(65),
    [sym__paren3] = STATE(65),
    [sym__realString] = STATE(8),
    [anon_sym_COMMA_AT] = ACTIONS(358),
    [aux_sym_quoted0_token1] = ACTIONS(360),
    [sym_bool] = ACTIONS(257),
    [anon_sym_LPAREN] = ACTIONS(229),
    [anon_sym_BQUOTE] = ACTIONS(366),
    [sym_char] = ACTIONS(257),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(364),
    [sym__emptyString] = ACTIONS(19),
  },
  [132] = {
    [sym__sexp3] = STATE(66),
    [sym_quoted3] = STATE(66),
    [sym_open3] = STATE(60),
    [sym_quasiquoted3] = STATE(66),
    [sym_unquoted3] = STATE(66),
    [sym_string] = STATE(66),
    [sym_symbol] = STATE(66),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym_spliced3] = STATE(66),
    [sym__paren3] = STATE(66),
    [sym__realString] = STATE(8),
    [anon_sym_COMMA_AT] = ACTIONS(358),
    [aux_sym_quoted0_token1] = ACTIONS(360),
    [sym_bool] = ACTIONS(259),
    [anon_sym_LPAREN] = ACTIONS(229),
    [anon_sym_BQUOTE] = ACTIONS(366),
    [sym_char] = ACTIONS(259),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(364),
    [sym__emptyString] = ACTIONS(19),
  },
  [133] = {
    [sym__sexp3] = STATE(67),
    [sym_quoted3] = STATE(67),
    [sym_open3] = STATE(60),
    [sym_quasiquoted3] = STATE(67),
    [sym_unquoted3] = STATE(67),
    [sym_string] = STATE(67),
    [sym_symbol] = STATE(67),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym_spliced3] = STATE(67),
    [sym__paren3] = STATE(67),
    [sym__realString] = STATE(8),
    [anon_sym_COMMA_AT] = ACTIONS(358),
    [aux_sym_quoted0_token1] = ACTIONS(360),
    [sym_bool] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(229),
    [anon_sym_BQUOTE] = ACTIONS(366),
    [sym_char] = ACTIONS(265),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(364),
    [sym__emptyString] = ACTIONS(19),
  },
  [134] = {
    [sym__sexp3] = STATE(68),
    [sym_quoted3] = STATE(68),
    [sym_open3] = STATE(60),
    [sym_quasiquoted3] = STATE(68),
    [sym_unquoted3] = STATE(68),
    [sym_string] = STATE(68),
    [sym_symbol] = STATE(68),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym_spliced3] = STATE(68),
    [sym__paren3] = STATE(68),
    [sym__realString] = STATE(8),
    [anon_sym_COMMA_AT] = ACTIONS(358),
    [aux_sym_quoted0_token1] = ACTIONS(360),
    [sym_bool] = ACTIONS(271),
    [anon_sym_LPAREN] = ACTIONS(229),
    [anon_sym_BQUOTE] = ACTIONS(366),
    [sym_char] = ACTIONS(271),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(364),
    [sym__emptyString] = ACTIONS(19),
  },
  [135] = {
    [sym__paren4] = STATE(83),
    [sym__sexp4] = STATE(83),
    [sym_quoted4] = STATE(83),
    [sym_symbol] = STATE(83),
    [sym_string] = STATE(83),
    [sym_quasiquoted4] = STATE(83),
    [sym_unquoted4] = STATE(83),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym_open4] = STATE(79),
    [sym__realString] = STATE(8),
    [sym_spliced4] = STATE(83),
    [anon_sym_COMMA_AT] = ACTIONS(455),
    [aux_sym_quoted0_token1] = ACTIONS(457),
    [sym_bool] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_BQUOTE] = ACTIONS(463),
    [sym_char] = ACTIONS(401),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(461),
    [sym__emptyString] = ACTIONS(19),
  },
  [136] = {
    [sym__paren4] = STATE(84),
    [sym__sexp4] = STATE(84),
    [sym_quoted4] = STATE(84),
    [sym_symbol] = STATE(84),
    [sym_string] = STATE(84),
    [sym_quasiquoted4] = STATE(84),
    [sym_unquoted4] = STATE(84),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym_open4] = STATE(79),
    [sym__realString] = STATE(8),
    [sym_spliced4] = STATE(84),
    [anon_sym_COMMA_AT] = ACTIONS(455),
    [aux_sym_quoted0_token1] = ACTIONS(457),
    [sym_bool] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_BQUOTE] = ACTIONS(463),
    [sym_char] = ACTIONS(403),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(461),
    [sym__emptyString] = ACTIONS(19),
  },
  [137] = {
    [sym__paren4] = STATE(85),
    [sym__sexp4] = STATE(85),
    [sym_quoted4] = STATE(85),
    [sym_symbol] = STATE(85),
    [sym_string] = STATE(85),
    [sym_quasiquoted4] = STATE(85),
    [sym_unquoted4] = STATE(85),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym_open4] = STATE(79),
    [sym__realString] = STATE(8),
    [sym_spliced4] = STATE(85),
    [anon_sym_COMMA_AT] = ACTIONS(455),
    [aux_sym_quoted0_token1] = ACTIONS(457),
    [sym_bool] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_BQUOTE] = ACTIONS(463),
    [sym_char] = ACTIONS(409),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(461),
    [sym__emptyString] = ACTIONS(19),
  },
  [138] = {
    [sym__paren4] = STATE(86),
    [sym__sexp4] = STATE(86),
    [sym_quoted4] = STATE(86),
    [sym_symbol] = STATE(86),
    [sym_string] = STATE(86),
    [sym_quasiquoted4] = STATE(86),
    [sym_unquoted4] = STATE(86),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym_open4] = STATE(79),
    [sym__realString] = STATE(8),
    [sym_spliced4] = STATE(86),
    [anon_sym_COMMA_AT] = ACTIONS(455),
    [aux_sym_quoted0_token1] = ACTIONS(457),
    [sym_bool] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_BQUOTE] = ACTIONS(463),
    [sym_char] = ACTIONS(415),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(461),
    [sym__emptyString] = ACTIONS(19),
  },
  [139] = {
    [sym_spliced5] = STATE(102),
    [sym__paren5] = STATE(102),
    [sym_open5] = STATE(96),
    [sym__sexp5] = STATE(102),
    [sym_quoted5] = STATE(102),
    [sym_symbol] = STATE(102),
    [sym_string] = STATE(102),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym_quasiquoted5] = STATE(102),
    [sym_unquoted5] = STATE(102),
    [sym__realString] = STATE(8),
    [anon_sym_COMMA_AT] = ACTIONS(570),
    [aux_sym_quoted0_token1] = ACTIONS(572),
    [sym_bool] = ACTIONS(498),
    [anon_sym_LPAREN] = ACTIONS(431),
    [anon_sym_BQUOTE] = ACTIONS(578),
    [sym_char] = ACTIONS(498),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(576),
    [sym__emptyString] = ACTIONS(19),
  },
  [140] = {
    [sym_spliced5] = STATE(103),
    [sym__paren5] = STATE(103),
    [sym_open5] = STATE(96),
    [sym__sexp5] = STATE(103),
    [sym_quoted5] = STATE(103),
    [sym_symbol] = STATE(103),
    [sym_string] = STATE(103),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym_quasiquoted5] = STATE(103),
    [sym_unquoted5] = STATE(103),
    [sym__realString] = STATE(8),
    [anon_sym_COMMA_AT] = ACTIONS(570),
    [aux_sym_quoted0_token1] = ACTIONS(572),
    [sym_bool] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(431),
    [anon_sym_BQUOTE] = ACTIONS(578),
    [sym_char] = ACTIONS(500),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(576),
    [sym__emptyString] = ACTIONS(19),
  },
  [141] = {
    [sym_spliced5] = STATE(104),
    [sym__paren5] = STATE(104),
    [sym_open5] = STATE(96),
    [sym__sexp5] = STATE(104),
    [sym_quoted5] = STATE(104),
    [sym_symbol] = STATE(104),
    [sym_string] = STATE(104),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym_quasiquoted5] = STATE(104),
    [sym_unquoted5] = STATE(104),
    [sym__realString] = STATE(8),
    [anon_sym_COMMA_AT] = ACTIONS(570),
    [aux_sym_quoted0_token1] = ACTIONS(572),
    [sym_bool] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(431),
    [anon_sym_BQUOTE] = ACTIONS(578),
    [sym_char] = ACTIONS(506),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(576),
    [sym__emptyString] = ACTIONS(19),
  },
  [142] = {
    [sym_spliced5] = STATE(105),
    [sym__paren5] = STATE(105),
    [sym_open5] = STATE(96),
    [sym__sexp5] = STATE(105),
    [sym_quoted5] = STATE(105),
    [sym_symbol] = STATE(105),
    [sym_string] = STATE(105),
    [aux_sym_symbol_repeat1] = STATE(12),
    [sym_quasiquoted5] = STATE(105),
    [sym_unquoted5] = STATE(105),
    [sym__realString] = STATE(8),
    [anon_sym_COMMA_AT] = ACTIONS(570),
    [aux_sym_quoted0_token1] = ACTIONS(572),
    [sym_bool] = ACTIONS(512),
    [anon_sym_LPAREN] = ACTIONS(431),
    [anon_sym_BQUOTE] = ACTIONS(578),
    [sym_char] = ACTIONS(512),
    [sym__letter] = ACTIONS(13),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(576),
    [sym__emptyString] = ACTIONS(19),
  },
  [143] = {
    [sym_quasiquoted0] = STATE(13),
    [sym_unquoted0] = STATE(13),
    [sym_open0] = STATE(9),
    [sym_spliced0] = STATE(13),
    [sym__paren0] = STATE(13),
    [sym_string] = STATE(13),
    [sym_symbol] = STATE(13),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_quoted0] = STATE(13),
    [sym__realString] = STATE(8),
    [sym__sexp0] = STATE(13),
    [anon_sym_COMMA_AT] = ACTIONS(514),
    [aux_sym_quoted0_token1] = ACTIONS(516),
    [sym_bool] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(524),
    [sym_char] = ACTIONS(21),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(522),
    [sym__emptyString] = ACTIONS(19),
  },
  [144] = {
    [sym_quasiquoted0] = STATE(14),
    [sym_unquoted0] = STATE(14),
    [sym_open0] = STATE(9),
    [sym_spliced0] = STATE(14),
    [sym__paren0] = STATE(14),
    [sym_string] = STATE(14),
    [sym_symbol] = STATE(14),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_quoted0] = STATE(14),
    [sym__realString] = STATE(8),
    [sym__sexp0] = STATE(14),
    [anon_sym_COMMA_AT] = ACTIONS(514),
    [aux_sym_quoted0_token1] = ACTIONS(516),
    [sym_bool] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(524),
    [sym_char] = ACTIONS(23),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(522),
    [sym__emptyString] = ACTIONS(19),
  },
  [145] = {
    [sym_quasiquoted0] = STATE(15),
    [sym_unquoted0] = STATE(15),
    [sym_open0] = STATE(9),
    [sym_spliced0] = STATE(15),
    [sym__paren0] = STATE(15),
    [sym_string] = STATE(15),
    [sym_symbol] = STATE(15),
    [aux_sym_symbol_repeat1] = STATE(121),
    [sym_quoted0] = STATE(15),
    [sym__realString] = STATE(8),
    [sym__sexp0] = STATE(15),
    [anon_sym_COMMA_AT] = ACTIONS(514),
    [aux_sym_quoted0_token1] = ACTIONS(516),
    [sym_bool] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(524),
    [sym_char] = ACTIONS(29),
    [sym__letter] = ACTIONS(47),
    [sym_stringQuote] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(522),
    [sym__emptyString] = ACTIONS(19),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true}, SHIFT(2),
  [5] = {.count = 1, .reusable = true}, SHIFT(3),
  [7] = {.count = 1, .reusable = true}, SHIFT(11),
  [9] = {.count = 1, .reusable = true}, SHIFT(4),
  [11] = {.count = 1, .reusable = true}, SHIFT(5),
  [13] = {.count = 1, .reusable = false}, SHIFT(12),
  [15] = {.count = 1, .reusable = false}, SHIFT(6),
  [17] = {.count = 1, .reusable = false}, SHIFT(7),
  [19] = {.count = 1, .reusable = true}, SHIFT(8),
  [21] = {.count = 1, .reusable = true}, SHIFT(13),
  [23] = {.count = 1, .reusable = true}, SHIFT(14),
  [25] = {.count = 1, .reusable = true}, REDUCE(sym_open0, 1),
  [27] = {.count = 1, .reusable = false}, REDUCE(sym_open0, 1),
  [29] = {.count = 1, .reusable = true}, SHIFT(15),
  [31] = {.count = 1, .reusable = true}, SHIFT(17),
  [33] = {.count = 1, .reusable = false}, SHIFT(17),
  [35] = {.count = 1, .reusable = true}, SHIFT(18),
  [37] = {.count = 1, .reusable = true}, REDUCE(sym_string, 1),
  [39] = {.count = 1, .reusable = false}, REDUCE(sym_string, 1),
  [41] = {.count = 1, .reusable = true}, SHIFT(19),
  [43] = {.count = 1, .reusable = true}, SHIFT(20),
  [45] = {.count = 1, .reusable = true}, SHIFT(25),
  [47] = {.count = 1, .reusable = false}, SHIFT(121),
  [49] = {.count = 1, .reusable = true}, SHIFT(23),
  [51] = {.count = 1, .reusable = false}, SHIFT(24),
  [53] = {.count = 1, .reusable = true}, SHIFT(21),
  [55] = {.count = 1, .reusable = true}, SHIFT(22),
  [57] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [59] = {.count = 1, .reusable = true}, REDUCE(sym_source_file, 1),
  [61] = {.count = 1, .reusable = true}, REDUCE(sym_symbol, 1),
  [63] = {.count = 1, .reusable = true}, SHIFT(28),
  [65] = {.count = 1, .reusable = true}, REDUCE(sym_spliced0, 2),
  [67] = {.count = 1, .reusable = false}, REDUCE(sym_spliced0, 2),
  [69] = {.count = 1, .reusable = true}, REDUCE(sym_quoted0, 2),
  [71] = {.count = 1, .reusable = false}, REDUCE(sym_quoted0, 2),
  [73] = {.count = 1, .reusable = true}, REDUCE(sym_quasiquoted0, 2),
  [75] = {.count = 1, .reusable = false}, REDUCE(sym_quasiquoted0, 2),
  [77] = {.count = 1, .reusable = true}, SHIFT(29),
  [79] = {.count = 1, .reusable = false}, REDUCE(sym_stringContent, 1),
  [81] = {.count = 1, .reusable = true}, SHIFT(30),
  [83] = {.count = 1, .reusable = false}, SHIFT(30),
  [85] = {.count = 1, .reusable = true}, REDUCE(sym_unquoted0, 2),
  [87] = {.count = 1, .reusable = false}, REDUCE(sym_unquoted0, 2),
  [89] = {.count = 1, .reusable = true}, SHIFT(31),
  [91] = {.count = 1, .reusable = true}, SHIFT(32),
  [93] = {.count = 1, .reusable = true}, REDUCE(sym_open1, 1),
  [95] = {.count = 1, .reusable = false}, REDUCE(sym_open1, 1),
  [97] = {.count = 1, .reusable = true}, SHIFT(33),
  [99] = {.count = 1, .reusable = true}, REDUCE(sym_close0, 1),
  [101] = {.count = 1, .reusable = false}, REDUCE(sym_close0, 1),
  [103] = {.count = 1, .reusable = true}, SHIFT(34),
  [105] = {.count = 1, .reusable = true}, SHIFT(36),
  [107] = {.count = 1, .reusable = true}, SHIFT(35),
  [109] = {.count = 1, .reusable = true}, REDUCE(sym__paren0, 2),
  [111] = {.count = 1, .reusable = false}, REDUCE(sym__paren0, 2),
  [113] = {.count = 1, .reusable = true}, SHIFT(38),
  [115] = {.count = 1, .reusable = true}, SHIFT(39),
  [117] = {.count = 1, .reusable = true}, SHIFT(46),
  [119] = {.count = 1, .reusable = true}, SHIFT(42),
  [121] = {.count = 1, .reusable = false}, SHIFT(43),
  [123] = {.count = 1, .reusable = true}, SHIFT(40),
  [125] = {.count = 1, .reusable = true}, SHIFT(41),
  [127] = {.count = 1, .reusable = true}, REDUCE(aux_sym_symbol_repeat1, 2),
  [129] = {.count = 2, .reusable = true}, REDUCE(aux_sym_symbol_repeat1, 2), SHIFT_REPEAT(28),
  [132] = {.count = 1, .reusable = true}, REDUCE(sym__realString, 3),
  [134] = {.count = 1, .reusable = false}, REDUCE(sym__realString, 3),
  [136] = {.count = 1, .reusable = false}, REDUCE(aux_sym_stringContent_repeat1, 2),
  [138] = {.count = 2, .reusable = true}, REDUCE(aux_sym_stringContent_repeat1, 2), SHIFT_REPEAT(30),
  [141] = {.count = 2, .reusable = false}, REDUCE(aux_sym_stringContent_repeat1, 2), SHIFT_REPEAT(30),
  [144] = {.count = 1, .reusable = true}, REDUCE(sym_spliced1, 2),
  [146] = {.count = 1, .reusable = false}, REDUCE(sym_spliced1, 2),
  [148] = {.count = 1, .reusable = true}, REDUCE(sym_quoted1, 2),
  [150] = {.count = 1, .reusable = false}, REDUCE(sym_quoted1, 2),
  [152] = {.count = 1, .reusable = true}, REDUCE(sym_quasiquoted1, 2),
  [154] = {.count = 1, .reusable = false}, REDUCE(sym_quasiquoted1, 2),
  [156] = {.count = 1, .reusable = true}, REDUCE(sym_unquoted1, 2),
  [158] = {.count = 1, .reusable = false}, REDUCE(sym_unquoted1, 2),
  [160] = {.count = 1, .reusable = true}, SHIFT(122),
  [162] = {.count = 1, .reusable = true}, SHIFT(123),
  [164] = {.count = 1, .reusable = true}, SHIFT(47),
  [166] = {.count = 1, .reusable = false}, SHIFT(125),
  [168] = {.count = 1, .reusable = true}, SHIFT(124),
  [170] = {.count = 1, .reusable = true}, REDUCE(aux_sym__paren0_repeat1, 2),
  [172] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren0_repeat1, 2), SHIFT_REPEAT(19),
  [175] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren0_repeat1, 2), SHIFT_REPEAT(20),
  [178] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren0_repeat1, 2), SHIFT_REPEAT(36),
  [181] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren0_repeat1, 2), SHIFT_REPEAT(21),
  [184] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren0_repeat1, 2), SHIFT_REPEAT(22),
  [187] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren0_repeat1, 2), SHIFT_REPEAT(121),
  [190] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren0_repeat1, 2), SHIFT_REPEAT(6),
  [193] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren0_repeat1, 2), SHIFT_REPEAT(24),
  [196] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren0_repeat1, 2), SHIFT_REPEAT(8),
  [199] = {.count = 1, .reusable = true}, REDUCE(sym__paren0, 3),
  [201] = {.count = 1, .reusable = false}, REDUCE(sym__paren0, 3),
  [203] = {.count = 1, .reusable = true}, SHIFT(48),
  [205] = {.count = 1, .reusable = true}, SHIFT(49),
  [207] = {.count = 1, .reusable = true}, REDUCE(sym_open2, 1),
  [209] = {.count = 1, .reusable = false}, REDUCE(sym_open2, 1),
  [211] = {.count = 1, .reusable = true}, SHIFT(50),
  [213] = {.count = 1, .reusable = true}, REDUCE(sym_close1, 1),
  [215] = {.count = 1, .reusable = false}, REDUCE(sym_close1, 1),
  [217] = {.count = 1, .reusable = true}, SHIFT(51),
  [219] = {.count = 1, .reusable = true}, SHIFT(52),
  [221] = {.count = 1, .reusable = true}, SHIFT(53),
  [223] = {.count = 1, .reusable = true}, SHIFT(58),
  [225] = {.count = 1, .reusable = true}, SHIFT(56),
  [227] = {.count = 1, .reusable = false}, SHIFT(57),
  [229] = {.count = 1, .reusable = true}, SHIFT(54),
  [231] = {.count = 1, .reusable = true}, SHIFT(55),
  [233] = {.count = 1, .reusable = true}, REDUCE(sym__paren1, 2),
  [235] = {.count = 1, .reusable = false}, REDUCE(sym__paren1, 2),
  [237] = {.count = 1, .reusable = true}, SHIFT(63),
  [239] = {.count = 1, .reusable = true}, SHIFT(61),
  [241] = {.count = 1, .reusable = true}, REDUCE(sym_spliced2, 2),
  [243] = {.count = 1, .reusable = false}, REDUCE(sym_spliced2, 2),
  [245] = {.count = 1, .reusable = true}, REDUCE(sym_quoted2, 2),
  [247] = {.count = 1, .reusable = false}, REDUCE(sym_quoted2, 2),
  [249] = {.count = 1, .reusable = true}, REDUCE(sym_quasiquoted2, 2),
  [251] = {.count = 1, .reusable = false}, REDUCE(sym_quasiquoted2, 2),
  [253] = {.count = 1, .reusable = true}, REDUCE(sym_unquoted2, 2),
  [255] = {.count = 1, .reusable = false}, REDUCE(sym_unquoted2, 2),
  [257] = {.count = 1, .reusable = true}, SHIFT(65),
  [259] = {.count = 1, .reusable = true}, SHIFT(66),
  [261] = {.count = 1, .reusable = true}, REDUCE(sym_open3, 1),
  [263] = {.count = 1, .reusable = false}, REDUCE(sym_open3, 1),
  [265] = {.count = 1, .reusable = true}, SHIFT(67),
  [267] = {.count = 1, .reusable = true}, REDUCE(sym_close2, 1),
  [269] = {.count = 1, .reusable = false}, REDUCE(sym_close2, 1),
  [271] = {.count = 1, .reusable = true}, SHIFT(68),
  [273] = {.count = 1, .reusable = true}, SHIFT(70),
  [275] = {.count = 1, .reusable = true}, SHIFT(69),
  [277] = {.count = 1, .reusable = true}, REDUCE(sym__paren2, 2),
  [279] = {.count = 1, .reusable = false}, REDUCE(sym__paren2, 2),
  [281] = {.count = 1, .reusable = true}, SHIFT(72),
  [283] = {.count = 1, .reusable = true}, SHIFT(73),
  [285] = {.count = 1, .reusable = true}, SHIFT(78),
  [287] = {.count = 1, .reusable = true}, SHIFT(76),
  [289] = {.count = 1, .reusable = false}, SHIFT(77),
  [291] = {.count = 1, .reusable = true}, SHIFT(74),
  [293] = {.count = 1, .reusable = true}, SHIFT(75),
  [295] = {.count = 1, .reusable = true}, SHIFT(127),
  [297] = {.count = 1, .reusable = true}, SHIFT(128),
  [299] = {.count = 1, .reusable = true}, SHIFT(81),
  [301] = {.count = 1, .reusable = false}, SHIFT(130),
  [303] = {.count = 1, .reusable = true}, SHIFT(129),
  [305] = {.count = 1, .reusable = true}, REDUCE(sym__paren1, 3),
  [307] = {.count = 1, .reusable = false}, REDUCE(sym__paren1, 3),
  [309] = {.count = 1, .reusable = true}, REDUCE(aux_sym__paren1_repeat1, 2),
  [311] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren1_repeat1, 2), SHIFT_REPEAT(38),
  [314] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren1_repeat1, 2), SHIFT_REPEAT(39),
  [317] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren1_repeat1, 2), SHIFT_REPEAT(63),
  [320] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren1_repeat1, 2), SHIFT_REPEAT(40),
  [323] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren1_repeat1, 2), SHIFT_REPEAT(41),
  [326] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren1_repeat1, 2), SHIFT_REPEAT(121),
  [329] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren1_repeat1, 2), SHIFT_REPEAT(6),
  [332] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren1_repeat1, 2), SHIFT_REPEAT(43),
  [335] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren1_repeat1, 2), SHIFT_REPEAT(8),
  [338] = {.count = 1, .reusable = true}, REDUCE(sym__paren0, 5),
  [340] = {.count = 1, .reusable = false}, REDUCE(sym__paren0, 5),
  [342] = {.count = 1, .reusable = true}, REDUCE(sym_spliced3, 2),
  [344] = {.count = 1, .reusable = false}, REDUCE(sym_spliced3, 2),
  [346] = {.count = 1, .reusable = true}, REDUCE(sym_quoted3, 2),
  [348] = {.count = 1, .reusable = false}, REDUCE(sym_quoted3, 2),
  [350] = {.count = 1, .reusable = true}, REDUCE(sym_quasiquoted3, 2),
  [352] = {.count = 1, .reusable = false}, REDUCE(sym_quasiquoted3, 2),
  [354] = {.count = 1, .reusable = true}, REDUCE(sym_unquoted3, 2),
  [356] = {.count = 1, .reusable = false}, REDUCE(sym_unquoted3, 2),
  [358] = {.count = 1, .reusable = true}, SHIFT(131),
  [360] = {.count = 1, .reusable = true}, SHIFT(132),
  [362] = {.count = 1, .reusable = true}, SHIFT(82),
  [364] = {.count = 1, .reusable = false}, SHIFT(134),
  [366] = {.count = 1, .reusable = true}, SHIFT(133),
  [368] = {.count = 1, .reusable = true}, REDUCE(aux_sym__paren2_repeat1, 2),
  [370] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren2_repeat1, 2), SHIFT_REPEAT(52),
  [373] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren2_repeat1, 2), SHIFT_REPEAT(53),
  [376] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren2_repeat1, 2), SHIFT_REPEAT(70),
  [379] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren2_repeat1, 2), SHIFT_REPEAT(54),
  [382] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren2_repeat1, 2), SHIFT_REPEAT(55),
  [385] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren2_repeat1, 2), SHIFT_REPEAT(121),
  [388] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren2_repeat1, 2), SHIFT_REPEAT(6),
  [391] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren2_repeat1, 2), SHIFT_REPEAT(57),
  [394] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren2_repeat1, 2), SHIFT_REPEAT(8),
  [397] = {.count = 1, .reusable = true}, REDUCE(sym__paren2, 3),
  [399] = {.count = 1, .reusable = false}, REDUCE(sym__paren2, 3),
  [401] = {.count = 1, .reusable = true}, SHIFT(83),
  [403] = {.count = 1, .reusable = true}, SHIFT(84),
  [405] = {.count = 1, .reusable = true}, REDUCE(sym_open4, 1),
  [407] = {.count = 1, .reusable = false}, REDUCE(sym_open4, 1),
  [409] = {.count = 1, .reusable = true}, SHIFT(85),
  [411] = {.count = 1, .reusable = true}, REDUCE(sym_close3, 1),
  [413] = {.count = 1, .reusable = false}, REDUCE(sym_close3, 1),
  [415] = {.count = 1, .reusable = true}, SHIFT(86),
  [417] = {.count = 1, .reusable = true}, SHIFT(88),
  [419] = {.count = 1, .reusable = true}, SHIFT(87),
  [421] = {.count = 1, .reusable = true}, SHIFT(90),
  [423] = {.count = 1, .reusable = true}, SHIFT(91),
  [425] = {.count = 1, .reusable = true}, SHIFT(97),
  [427] = {.count = 1, .reusable = true}, SHIFT(94),
  [429] = {.count = 1, .reusable = false}, SHIFT(95),
  [431] = {.count = 1, .reusable = true}, SHIFT(92),
  [433] = {.count = 1, .reusable = true}, SHIFT(93),
  [435] = {.count = 1, .reusable = true}, REDUCE(sym__paren3, 2),
  [437] = {.count = 1, .reusable = false}, REDUCE(sym__paren3, 2),
  [439] = {.count = 1, .reusable = true}, REDUCE(sym_spliced4, 2),
  [441] = {.count = 1, .reusable = false}, REDUCE(sym_spliced4, 2),
  [443] = {.count = 1, .reusable = true}, REDUCE(sym_quoted4, 2),
  [445] = {.count = 1, .reusable = false}, REDUCE(sym_quoted4, 2),
  [447] = {.count = 1, .reusable = true}, REDUCE(sym_quasiquoted4, 2),
  [449] = {.count = 1, .reusable = false}, REDUCE(sym_quasiquoted4, 2),
  [451] = {.count = 1, .reusable = true}, REDUCE(sym_unquoted4, 2),
  [453] = {.count = 1, .reusable = false}, REDUCE(sym_unquoted4, 2),
  [455] = {.count = 1, .reusable = true}, SHIFT(135),
  [457] = {.count = 1, .reusable = true}, SHIFT(136),
  [459] = {.count = 1, .reusable = true}, SHIFT(101),
  [461] = {.count = 1, .reusable = false}, SHIFT(138),
  [463] = {.count = 1, .reusable = true}, SHIFT(137),
  [465] = {.count = 1, .reusable = true}, REDUCE(aux_sym__paren3_repeat1, 2),
  [467] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren3_repeat1, 2), SHIFT_REPEAT(72),
  [470] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren3_repeat1, 2), SHIFT_REPEAT(73),
  [473] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren3_repeat1, 2), SHIFT_REPEAT(88),
  [476] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren3_repeat1, 2), SHIFT_REPEAT(74),
  [479] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren3_repeat1, 2), SHIFT_REPEAT(75),
  [482] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren3_repeat1, 2), SHIFT_REPEAT(121),
  [485] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren3_repeat1, 2), SHIFT_REPEAT(6),
  [488] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren3_repeat1, 2), SHIFT_REPEAT(77),
  [491] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren3_repeat1, 2), SHIFT_REPEAT(8),
  [494] = {.count = 1, .reusable = true}, REDUCE(sym__paren3, 3),
  [496] = {.count = 1, .reusable = false}, REDUCE(sym__paren3, 3),
  [498] = {.count = 1, .reusable = true}, SHIFT(102),
  [500] = {.count = 1, .reusable = true}, SHIFT(103),
  [502] = {.count = 1, .reusable = true}, REDUCE(sym_open5, 1),
  [504] = {.count = 1, .reusable = false}, REDUCE(sym_open5, 1),
  [506] = {.count = 1, .reusable = true}, SHIFT(104),
  [508] = {.count = 1, .reusable = true}, REDUCE(sym_close4, 1),
  [510] = {.count = 1, .reusable = false}, REDUCE(sym_close4, 1),
  [512] = {.count = 1, .reusable = true}, SHIFT(105),
  [514] = {.count = 1, .reusable = true}, SHIFT(143),
  [516] = {.count = 1, .reusable = true}, SHIFT(144),
  [518] = {.count = 1, .reusable = true}, SHIFT(108),
  [520] = {.count = 1, .reusable = true}, SHIFT(106),
  [522] = {.count = 1, .reusable = false}, SHIFT(120),
  [524] = {.count = 1, .reusable = true}, SHIFT(145),
  [526] = {.count = 1, .reusable = true}, SHIFT(110),
  [528] = {.count = 1, .reusable = true}, SHIFT(109),
  [530] = {.count = 1, .reusable = true}, REDUCE(sym__paren4, 2),
  [532] = {.count = 1, .reusable = false}, REDUCE(sym__paren4, 2),
  [534] = {.count = 1, .reusable = true}, REDUCE(sym__paren1, 5),
  [536] = {.count = 1, .reusable = false}, REDUCE(sym__paren1, 5),
  [538] = {.count = 1, .reusable = true}, REDUCE(sym__paren2, 5),
  [540] = {.count = 1, .reusable = false}, REDUCE(sym__paren2, 5),
  [542] = {.count = 1, .reusable = true}, REDUCE(sym_spliced5, 2),
  [544] = {.count = 1, .reusable = false}, REDUCE(sym_spliced5, 2),
  [546] = {.count = 1, .reusable = true}, REDUCE(sym_quoted5, 2),
  [548] = {.count = 1, .reusable = false}, REDUCE(sym_quoted5, 2),
  [550] = {.count = 1, .reusable = true}, REDUCE(sym_quasiquoted5, 2),
  [552] = {.count = 1, .reusable = false}, REDUCE(sym_quasiquoted5, 2),
  [554] = {.count = 1, .reusable = true}, REDUCE(sym_unquoted5, 2),
  [556] = {.count = 1, .reusable = false}, REDUCE(sym_unquoted5, 2),
  [558] = {.count = 1, .reusable = true}, REDUCE(sym_close5, 1),
  [560] = {.count = 1, .reusable = false}, REDUCE(sym_close5, 1),
  [562] = {.count = 1, .reusable = true}, REDUCE(sym__paren5, 2),
  [564] = {.count = 1, .reusable = false}, REDUCE(sym__paren5, 2),
  [566] = {.count = 1, .reusable = true}, SHIFT(115),
  [568] = {.count = 1, .reusable = true}, SHIFT(113),
  [570] = {.count = 1, .reusable = true}, SHIFT(139),
  [572] = {.count = 1, .reusable = true}, SHIFT(140),
  [574] = {.count = 1, .reusable = true}, SHIFT(116),
  [576] = {.count = 1, .reusable = false}, SHIFT(142),
  [578] = {.count = 1, .reusable = true}, SHIFT(141),
  [580] = {.count = 1, .reusable = true}, REDUCE(aux_sym__paren4_repeat1, 2),
  [582] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren4_repeat1, 2), SHIFT_REPEAT(90),
  [585] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren4_repeat1, 2), SHIFT_REPEAT(91),
  [588] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren4_repeat1, 2), SHIFT_REPEAT(110),
  [591] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren4_repeat1, 2), SHIFT_REPEAT(92),
  [594] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren4_repeat1, 2), SHIFT_REPEAT(93),
  [597] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren4_repeat1, 2), SHIFT_REPEAT(121),
  [600] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren4_repeat1, 2), SHIFT_REPEAT(6),
  [603] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren4_repeat1, 2), SHIFT_REPEAT(95),
  [606] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren4_repeat1, 2), SHIFT_REPEAT(8),
  [609] = {.count = 1, .reusable = true}, REDUCE(sym__paren4, 3),
  [611] = {.count = 1, .reusable = false}, REDUCE(sym__paren4, 3),
  [613] = {.count = 1, .reusable = true}, REDUCE(sym__paren3, 5),
  [615] = {.count = 1, .reusable = false}, REDUCE(sym__paren3, 5),
  [617] = {.count = 1, .reusable = true}, SHIFT(117),
  [619] = {.count = 1, .reusable = true}, REDUCE(sym__paren5, 3),
  [621] = {.count = 1, .reusable = false}, REDUCE(sym__paren5, 3),
  [623] = {.count = 1, .reusable = true}, REDUCE(aux_sym__paren5_repeat1, 2),
  [625] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren5_repeat1, 2), SHIFT_REPEAT(143),
  [628] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren5_repeat1, 2), SHIFT_REPEAT(144),
  [631] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren5_repeat1, 2), SHIFT_REPEAT(115),
  [634] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren5_repeat1, 2), SHIFT_REPEAT(4),
  [637] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren5_repeat1, 2), SHIFT_REPEAT(145),
  [640] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren5_repeat1, 2), SHIFT_REPEAT(121),
  [643] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren5_repeat1, 2), SHIFT_REPEAT(6),
  [646] = {.count = 2, .reusable = false}, REDUCE(aux_sym__paren5_repeat1, 2), SHIFT_REPEAT(120),
  [649] = {.count = 2, .reusable = true}, REDUCE(aux_sym__paren5_repeat1, 2), SHIFT_REPEAT(8),
  [652] = {.count = 1, .reusable = true}, REDUCE(sym__paren4, 5),
  [654] = {.count = 1, .reusable = false}, REDUCE(sym__paren4, 5),
  [656] = {.count = 1, .reusable = true}, REDUCE(sym__paren5, 5),
  [658] = {.count = 1, .reusable = false}, REDUCE(sym__paren5, 5),
  [660] = {.count = 1, .reusable = false}, REDUCE(sym_symbol, 1),
  [662] = {.count = 2, .reusable = false}, REDUCE(aux_sym_symbol_repeat1, 2), SHIFT_REPEAT(126),
  [665] = {.count = 1, .reusable = false}, REDUCE(aux_sym_symbol_repeat1, 2),
};

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_scheme(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
  };
  return &language;
}
